#
# spec file for package libqt5-qtbase
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define qt5_snapshot 0
%define journald 1

%ifarch %arm aarch64
%define gles 1
%else
%define gles 0
%endif

Name:           libqt5-qtbase
Version:        5.9.7
Release:        lp151.4.6.1
Summary:        C++ Program Library, Core Components
License:        GPL-3.0 or SUSE-LGPL-2.1-with-digia-exception-1.1
Group:          System/Libraries
Url:            https://www.qt.io
%define base_name libqt5
%define real_version 5.9.7
%define so_version 5.9.7
%define tar_version qtbase-opensource-src-5.9.7
Source:         https://download.qt.io/official_releases/qt/5.9/%{real_version}/submodules/%{tar_version}.tar.xz
# to get mtime of file:
Source1:        libqt5-qtbase.changes
Source2:        macros.qt5
Source3:        baselibs.conf
Source99:       libqt5-qtbase-rpmlintrc
# patches 0-1000 are openSUSE and/or non-upstream(able) patches #
# PATCH-FIX-SUSE libqt5-Fix-Gujarati-font.patch bnc#878292 fix broken Gujarati font rendering
Patch3:         libqt5-Fix-Gujarati-font.patch
# Patch-FIX-SUSE libqt5-do-not-use-shm-if-display-name-doesnt-look-local.patch -- bnc#888858
Patch5:         libqt5-do-not-use-shm-if-display-name-doesnt-look-local.patch
# PATCH-FIX-OPENSUSE disable-rc4-ciphers-bnc865241.diff bnc#865241-- Exclude rc4 ciphers from being used by default
Patch6:         disable-rc4-ciphers-bnc865241.diff
Patch8:         tell-the-truth-about-private-api.patch
# PATCH-FIX-OPENSUSE libqt5-prioritise-gtk2-platformtheme.patch boo#1002900 -- Give Gtk2 Platform Theme (from qtstyleplugins) a priority over Gtk3 PT which currently lacks QGtk3Style.
Patch10:        libqt5-prioritise-gtk2-platformtheme.patch
# PATCH-FEATURE-OPENSUSE 0001-Add-remote-print-queue-support.patch fate#322052 -- Automatically recognize and allow printing to remote cups servers
Patch11:        0001-Add-remote-print-queue-support.patch
# PATCH-FIX-OPENSUSE
Patch12:        force-cmake-private-headers.patch
# PATCH-FIX-UPSTREAM
Patch13:       qapplication-emit-palettechanged.patch
# PATCH-FIX-OPENSUSE
Patch14:       0001-Sanitize-QXcbScreen-s-pixelDensity-values.patch
Patch15:       0002-xcb-Use-the-screen-s-physical-DPI-as-logical-DPI-unl.patch
# PATCH-FIX-UPSTREAM
Patch19:        0001-glx-Fix-loading-OpenGL-library-when-libGL.so-symlink.patch
# patches 1000-2000 and above from upstream 5.9 branch #
Patch1002:      0001-Extend-the-MariaDB-define-check-to-cover-the-later-v.patch
# patches 2000-3000 and above from upstream 5.10/dev branch #
Patch2000:      0001-QSslSocket-OpenSSL-1.1-backend.patch
Patch2001:      0001-Remove-QPrintDialogPrivate-applyPrinterProperties-no.patch
Patch2002:      0002-Remove-QUnixPrintWidgetPrivate-applyPrinterPropertie.patch
Patch2003:      0003-Remove-QPrintPropertiesDialog-applyPrinterProperties.patch
Patch2004:      0004-Remove-QCupsJobWidget-setPrinter.patch
Patch2005:      0005-Remove-QPrintPropertiesDialog-selectPrinter.patch
Patch2006:      0006-Remove-QPageSetupWidget-selectPrinter.patch
Patch2007:      0007-Introduce-QPrintDevice-property-setProperty.patch
Patch2008:      0008-Allow-access-to-ppd-file-and-ppdMarkOption-via-QPpdP.patch
Patch2009:      0009-QPlatformPrintDevice-use-QVector-not-QList-in-the-AP.patch
Patch2010:      0010-Reintroduce-the-Advanced-tab-in-the-QPrintProperties.patch
Patch2011:      0011-QtPrintSupport-Fix-build.patch
Patch2012:      0002-CUPS-Use-default-cups-job-priority-instead-of-50.patch
Patch2013:      0003-QPageSetupWidget-setPrinter-Use-printdevice-default-paper-size.patch
Patch2014:      0004-Fix-custom-page-size-handling-in-the-Unix-print-dial.patch
Patch2015:      0005-CUPS-Refactor-the-code-a-bit.patch
Patch2016:      0006-Refactor-QPPDOptionsModel-a-bit.patch
Patch2017:      0007-CUPS-Fix-advanced-options-cancel-of-the-print-properties-dialog.patch
Patch2018:      0008-CUPS-Fix-conflict-handling.patch
Patch2019:      0009-CUPS-Use-printer-job-sheets-as-default-instead-of-none-none.patch
Patch2020:      0010-CUPS-Use-printer-job-billing-as-default-instead-of-the-empty-string.patch
Patch2021:      0011-CUPS-Use-printer-job-hold-until-as-default-instead-of-the-nohold.patch
Patch2022:      0012-Unix-Fix-usability-of-the-print-properties-dialog.patch
Patch2023:      0013-cups-Dont-show-InstallableOptions-in-the-advanced-properties-tab.patch
Patch2024:      0014-CUPS-Enable-printing-arbitrary-pages-and-page-ranges.patch
Patch2025:      0015-CUPS-Dont-show-choices-that-conflict-with-the-printer-installed-options.patch
Patch2026:      0016-CUPS-Rework-set-clearCupsOption-API.patch
Patch2027:      0017-Cups-Print-Dialog-Change-the-message-box-titles-to-C.patch
Patch2028:      0018-Fix-build-due-to-missing-QDebug-include.patch
Patch2029:      0001-Unix-print-dialog-Properly-initialize-duplex.patch
Patch2030:      0001-xcb-prevent-crash-with-pixmap-cursors-on-XRender-less-system.patch
Patch2031:      0001-Revert-Fail-faster-on-OpenSSL-1.1.patch
# PATCH-FIX-UPSTREAM add-logging-category-for-xcb-warnings.patch alarrosa@suse.com -- A similar (but different) patch is already in 5.11
Patch2032:      add-logging-category-for-xcb-warnings.patch
# PATCH-FIX-UPSTREAM 5a1f1345
Patch2033:	xcb-dont-rely-on-_NET_WORKAREA_for_available_geometry.patch
Patch2034:      0001-Do-not-load-plugin-from-the-PWD.patch
# PATCH-FIX-UPSTREAM https://codereview.qt-project.org/c/qt/qtbase/+/286786
Patch2035:      0001-Doc-QPluginLoader-remove-the-claim-we-search-the-cur.patch
Patch2036:      0001-Fix-buffer-overflow-in-XBM-parser.patch
Patch2037:      0002-wasm-disable-XDG_RUNTIME_DIR-warning.patch
Patch2038:      0003-QStandardPaths-Correct-handling-for-XDG_RUNTIME_DIR.patch
Patch2039:      0004-QStandardPaths-Unix-improve-the-XDG_RUNTIME_DIR-crea.patch
BuildRequires:  alsa-devel
BuildRequires:  cups-devel
BuildRequires:  double-conversion-devel
BuildRequires:  gcc-c++
BuildRequires:  libjpeg-devel
BuildRequires:  libmng-devel
BuildRequires:  libmysqlclient-devel
BuildRequires:  libpng-devel
BuildRequires:  libproxy-devel
BuildRequires:  libtiff-devel
BuildRequires:  openssl-devel
BuildRequires:  pcre-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(mtdev)
%if %qt5_snapshot
#to create the forwarding headers
BuildRequires:  perl
%endif
BuildRequires:  postgresql-devel
BuildRequires:  sqlite3-devel
BuildRequires:  unixODBC-devel
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
%if %gles
BuildRequires:  Mesa-libGLESv3-devel
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(glesv2)
%endif
BuildRequires:  libicu-devel
BuildRequires:  libpulse-devel
BuildRequires:  tslib-devel
BuildRequires:  xcb-util-image-devel
BuildRequires:  xcb-util-keysyms-devel
BuildRequires:  xcb-util-renderutil-devel
BuildRequires:  xcb-util-wm-devel
BuildRequires:  xorg-x11-devel
BuildRequires:  xz
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(harfbuzz)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xkbcommon) >= 0.4.1
BuildRequires:  pkgconfig(xkbcommon-x11) >= 0.4.1
%if %journald
BuildRequires:  pkgconfig(libsystemd)
%endif
# to get cmake(...) autoprovides
BuildRequires:  cmake
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Qt is a set of libraries for developing applications.

This package contains base tools, like string, xml, and network
handling.

%define libqt5_prefix		%{_prefix}
%define libqt5_libdir		%{_libdir}
%define libqt5_archdatadir	%{_libdir}/qt5
%define libqt5_bindir		%{libqt5_archdatadir}/bin
%define libqt5_datadir		%{_datadir}/qt5
%define libqt5_docdir		%{_docdir}/qt5
%define libqt5_examplesdir	%{libqt5_archdatadir}/examples
%define libqt5_includedir	%{_includedir}/qt5
%define libqt5_importdir	%{libqt5_archdatadir}/imports
%define libqt5_libexecdir	%{libqt5_archdatadir}/libexec
%define libqt5_plugindir	%{libqt5_archdatadir}/plugins
%define libqt5_sysconfdir	%{_sysconfdir}/xdg
%define libqt5_translationdir	%{libqt5_datadir}/translations

%prep
%setup -q -n qtbase-opensource-src-%{real_version}
%autopatch -p1

# be sure not to use them
rm -rf src/3rdparty/{libjpeg,freetype,zlib}

%package devel
Summary:        Development files for the Qt5 base library
Group:          Development/Libraries/X11
# External deps shall be found via pkgconfig
Requires:       %{name}-common-devel
Requires:       libQt5Concurrent-devel = %{version}
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5DBus-devel = %{version}
Requires:       libQt5Gui-devel = %{version}
Requires:       libQt5Network-devel = %{version}
Requires:       libQt5OpenGL-devel = %{version}
Requires:       libQt5PlatformHeaders-devel = %{version}
Requires:       libQt5PrintSupport-devel = %{version}
Requires:       libQt5Sql-devel = %{version}
Requires:       libQt5Test-devel = %{version}
Requires:       libQt5Widgets-devel = %{version}
Requires:       libQt5Xml-devel = %{version}

%description devel
You need this package if you want to compile programs with Qt. It
contains the "Qt Crossplatform Development Kit". It does contain
include files and development applications like GUI designers,
translator tools and code generators.

%package common-devel
Summary:        Qt 5 Core Development Binaries
Group:          Development/Libraries/X11
Requires:       gcc-c++
Requires:       pkg-config
# to get cmake(...) autoprovides
Requires:       cmake

%description common-devel
Qt 5 Core Development Binaries. It contains Qt5's moc, qmake,
rcc, uic and syncqt.pl binaries.

%package -n libQt5Core5
Summary:        Qt 5 Core Library
Group:          Development/Libraries/X11
Provides:       libqt5-qtbase = %{version}
Obsoletes:      libqt5-qtbase < %{version}
Recommends:     libqt5-qttranslations

%description -n libQt5Core5
The Qt 5 Core library. It adds these features to C++:

* a mechanism for object communication called signals and slots
* queryable and designable object properties
* hierarchical and queryable object trees that organize
* object ownership in a natural way with guarded pointers (QPointer)
* a dynamic cast that works across library boundaries

%package -n libQt5Core-devel
Summary:        Development files for the Qt5 core library
Group:          Development/Libraries/X11
Requires:       %{name}-common-devel = %{version}
Requires:       libQt5Core5 = %{version}

%description -n libQt5Core-devel
Development files for the Qt5 core library.

%package -n libQt5Core-private-headers-devel
Summary:        Non-ABI stable experimental API for the Qt5 core library
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-devel = %{version}

%description -n libQt5Core-private-headers-devel
This package provides private headers of libQt5Core that are normally
not used by application development and that do not have any ABI or
API guarantees. The packages that build against these have to require
the exact Qt version.

%package -n libQt5Concurrent5
Summary:        Qt 5 Concurrent Library
Group:          Development/Libraries/X11
Requires:       libQt5Core5 = %{version}

%description -n libQt5Concurrent5
The QtConcurrent namespace provides high-level APIs that help write
multi-threaded programs without using low-level threading primitives
such as mutexes, read-write locks, wait conditions, or semaphores.
Programs written with QtConcurrent automatically adjust the number of
threads used according to the number of processor cores available.

QtConcurrent includes functional programming style APIs for parallel
list processing, including a MapReduce and FilterReduce
implementation for shared-memory (non-distributed) systems, and
classes for managing asynchronous computations in GUI applications.

%package -n libQt5Concurrent-devel
Summary:        Development files for the Qt5 Concurrent library
Group:          Development/Libraries/X11
Requires:       libQt5Concurrent5 = %{version}
Requires:       libQt5Core-devel = %{version}

%description -n libQt5Concurrent-devel
Development files for the Qt5 Concurrent library.

%package -n libQt5DBus5
Summary:        Qt5 D-Bus library
Group:          Development/Libraries/X11
Requires:       libQt5Core5 = %{version}

%description -n libQt5DBus5
The Qt D-Bus module is a library that can be used to perform
inter-process communication using the D-Bus protocol.

%package -n libQt5DBus-devel
Summary:        Development files for the Qt5 D-Bus library
Group:          Development/Libraries/X11
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5DBus5 = %{version}

%description -n libQt5DBus-devel
Development files for the Qt5 D-Bus library. This package also
contains Qt5's qdbusxml2cpp and qdbuscpp2xml binaries.

%package -n libQt5DBus-private-headers-devel
Summary:        Non-ABI stable experimental API for the Qt5 D-Bus library
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5DBus-devel = %{version}

%description -n libQt5DBus-private-headers-devel
This package provides private headers of libQt5DBus that are normally
not used by application development and that do not have any ABI or
API guarantees. The packages that build against these have to require
the exact Qt version.

%package -n libQt5Network5
Summary:        Qt 5 Network Library
Group:          Development/Libraries/X11
Requires:       libQt5Core5 = %{version}
Requires:       libQt5DBus5 = %{version}

%description -n libQt5Network5
Qt Network provides a set of APIs for programming applications that
use TCP/IP. Operations such as requests, cookies, and sending data
over HTTP are handled by various C++ classes.

%package -n libQt5Network-devel
Summary:        Development files for the Qt5 network library
Group:          Development/Libraries/X11
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Network5 = %{version}

%description -n libQt5Network-devel
Development files for the Qt5 network library.

%package -n libQt5Network-private-headers-devel
Summary:        Non-ABI stable experimental API for the Qt5 network library
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5Network-devel = %{version}

%description -n libQt5Network-private-headers-devel
This package provides private headers of libQt5Network that are normally
not used by application development and that do not have any ABI or
API guarantees. The packages that build against these have to require
the exact Qt version.

%package -n libQt5OpenGL5
Summary:        Qt 5 OpenGL Library
Group:          Development/Libraries/X11
Requires:       libQt5Widgets5 = %{version}

%description -n libQt5OpenGL5
The Qt OpenGL module provides an OpenGL widget class that can be used
like any other Qt widget, except that it opens an OpenGL display
buffer where the OpenGL API can be used to render the contents.

%package -n libQt5OpenGL-devel
Summary:        Development files for the Qt5 OpenGL library
Group:          Development/Libraries/X11
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Gui-devel = %{version}
Requires:       libQt5OpenGL5 = %{version}
Requires:       libQt5Widgets-devel = %{version}
%if %gles
Requires:       Mesa-libGLESv3-devel
Requires:       pkgconfig(glesv2)
%else
Requires:       pkgconfig(gl)
%endif

%description -n libQt5OpenGL-devel
Development files for the Qt5 OpenGL library.

Warning: This module should not be used anymore for new code. Please
use the corresponding OpenGL classes in Qt GUI.

%package -n libQt5OpenGL-private-headers-devel
Summary:        Non-ABI stable experimental API for the Qt5 OpenGL library
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5Gui-private-headers-devel = %{version}
Requires:       libQt5OpenGL-devel = %{version}
Requires:       libQt5Widgets-private-headers-devel = %{version}

%description -n libQt5OpenGL-private-headers-devel
This package provides private headers of libQt5OpenGL that are
normally not used by application development and that do not have any
ABI or API guarantees. The packages that build against these have to
require the exact Qt version.

%package -n libQt5PrintSupport5
Summary:        Qt 5 Print Support Library
Group:          Development/Libraries/X11
Requires:       libQt5Widgets5 = %{version}

%description -n libQt5PrintSupport5
An abstraction over the platform-specific printing systems. Using
this library, Qt applications can print to attached printers and
across networks to remote printers. Qt's printing system also
supports PDF file generation, providing the foundation for basic
report generation facilities.

%package -n libQt5PrintSupport-devel
Summary:        Development files for the Qt5 print support library
Group:          Development/Libraries/X11
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Gui-devel = %{version}
Requires:       libQt5PrintSupport5 = %{version}
Requires:       libQt5Widgets-devel = %{version}

%description -n libQt5PrintSupport-devel
Development files for the Qt5 print support library.

%package -n libQt5PrintSupport-private-headers-devel
Summary:        Non-ABI stable experimental API for the Qt5 print support library
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5Gui-private-headers-devel = %{version}
Requires:       libQt5PrintSupport-devel = %{version}
Requires:       libQt5Widgets-private-headers-devel = %{version}

%description -n libQt5PrintSupport-private-headers-devel
This package provides private headers of libQt5PrintSupport that are
normally not used by application development and that do not have any
ABI or API guarantees. The packages that build against these have to
require the exact Qt version.

%package -n libQt5Xml5
Summary:        Qt 5 Xml Library
Group:          Development/Libraries/X11
Requires:       libQt5Core5 = %{version}

%description -n libQt5Xml5
The Qt XML module provides C++ implementations of the SAX and DOM
standards for XML.

%package -n libQt5Xml-devel
Summary:        Development files for the Qt5 XML library
Group:          Development/Libraries/X11
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Xml5 = %{version}

%description -n libQt5Xml-devel
Development files for the Qt5 XML library.

(The module is not actively maintained anymore. Please use the
QXmlStreamReader and QXmlStreamWriter classes in Qt Core instead.)

%package -n libQt5Test5
Summary:        Qt 5 Test Library
Group:          Development/Libraries/X11
Requires:       libQt5Core5 = %{version}

%description -n libQt5Test5
Qt Test is a framework for unit testing Qt based applications and
libraries. Qt Test provides functionality commonly found in unit
testing frameworks as well as extensions for testing graphical user
interfaces.

%package -n libQt5Test-devel
Summary:        Development files for the Qt5 testing library
Group:          Development/Libraries/X11
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Test5 = %{version}

%description -n libQt5Test-devel
Development files for the Qt5 testing library.

%package -n libQt5Test-private-headers-devel
Summary:        Non-ABI stable experimental API for the Qt5 test library
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5Test-devel = %{version}

%description -n libQt5Test-private-headers-devel
This package provides private headers of libQt5Test that are normally
not used by application development and that do not have any ABI or
API guarantees. The packages that build against these have to require
the exact Qt version.

%package -n libQt5Widgets5
Summary:        Qt 5 Widgets Library
Group:          Development/Libraries/X11
Requires:       libQt5Gui5 = %{version}

%description -n libQt5Widgets5
The Qt Widgets Module provides a set of UI elements to create classic
desktop-style user interfaces.

%package -n libQt5Widgets-devel
Summary:        Development files for the Qt5 widgets library
Group:          Development/Libraries/X11
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Gui-devel = %{version}
Requires:       libQt5Widgets5 = %{version}

%description -n libQt5Widgets-devel
Development files for the Qt5 widgets library.

%package -n libQt5Widgets-private-headers-devel
Summary:        Non-ABI stable experimental API for the Qt5 widgets library
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5Gui-private-headers-devel = %{version}
Requires:       libQt5Widgets-devel = %{version}

%description -n libQt5Widgets-private-headers-devel
This package provides private headers of libQt5Widgets that are
normally not used by application development and that do not have any
ABI or API guarantees. The packages that build against these have to
require the exact Qt version.

%package -n libQt5Sql5-sqlite
Summary:        Qt 5 sqlite plugin
Group:          Development/Libraries/C and C++
Requires:       libQt5Sql5 = %{version}
Provides:       libqt5-sql-sqlite = %{version}
Provides:       libqt5_sql_backend = %{version}
Obsoletes:      libqt5-sql-sqlite < %{version}

%description -n libQt5Sql5-sqlite
The Qt SQL module uses driver plugins to communicate with the
different database APIs.

The Qt SQLite plugin makes it possible to access SQLite databases.
SQLite is an in-process database, which means that it is not
necessary to have a database server. SQLite operates on a single
file, which must be set as the database name when opening a
connection.

%package -n libQt5Sql5-unixODBC
Summary:        Qt 5 unixODBC plugin
Group:          Development/Libraries/C and C++
Requires:       libQt5Sql5 = %{version}
Provides:       libqt5-sql-unixODBC = %{version}
Provides:       libqt5_sql_backend = %{version}
Obsoletes:      libqt5-sql-unixODBC < %{version}

%description -n libQt5Sql5-unixODBC
The Qt SQL module uses driver plugins to communicate with the
different database APIs.

The QODBC driver allows to connect to an ODBC driver manager and
access the available data sources. Note that you also need to install
and configure ODBC drivers for the ODBC driver manager that is
installed on your system.

%package -n libQt5Sql5-postgresql
Summary:        Qt 5 PostgreSQL plugin
Group:          Development/Libraries/C and C++
Requires:       libQt5Sql5 = %{version}
Provides:       libqt5-sql-postgresql = %{version}
Provides:       libqt5_sql_backend = %{version}
Obsoletes:      libqt5-sql-postgresql < %{version}

%description -n libQt5Sql5-postgresql
The Qt SQL module uses driver plugins to communicate with the
different database APIs.

The QPSQL driver supports version 7.3 and higher of the PostgreSQL
server.

%package -n libQt5Sql5-mysql
Summary:        Qt 5 MySQL support
Group:          Development/Libraries/C and C++
Requires:       libQt5Sql5 = %{version}
Provides:       libqt5-sql-mysql = %{version}
Provides:       libqt5_sql_backend = %{version}
Obsoletes:      libqt5-sql-mysql < %{version}

%description -n libQt5Sql5-mysql
A plugin to support MySQL server in Qt applications.

%package -n libQt5Gui5
Summary:        Qt 5 GUI related libraries
Group:          Development/Libraries/C and C++
Recommends:     libqt5-qtimageformats = %{version}
Requires:       libQt5Core5 = %{version}
Requires:       libQt5DBus5 = %{version}
Provides:       libqt5-qtbase-platformtheme-gtk2 = %{version}
Obsoletes:      libqt5-qtbase-platformtheme-gtk2 < %{version}

%description -n libQt5Gui5
The Qt GUI module provides classes for windowing system integration,
event handling, OpenGL and OpenGL ES integration, 2D graphics, basic
imaging, fonts and text. These classes are used internally by Qt's
user interface code and can also be used directly, for instance, to
write applications using low-level OpenGL ES graphics APIs.

For application developers writing user interfaces, Qt provides
higher level APIs, like Qt Quick, which are much more suitable than
the enablers found in the Qt GUI module.

%package platformtheme-gtk3
Summary:        Qt 5 gtk3 plugin
Group:          Development/Libraries/C and C++
Supplements:    packageand(libQt5Gui5:libgtk-3-0)
Requires:       libQt5Gui5 = %{version}

%description platformtheme-gtk3
Qt 5 plugin for better integration with gtk3-based desktop enviroments.

%package -n libQt5Gui-devel
Summary:        Development files for the Qt5 GUI library
Group:          Development/Libraries/C and C++
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Gui5 = %{version}
%if %gles
Requires:       Mesa-libGLESv3-devel
Requires:       pkgconfig(gbm)
Requires:       pkgconfig(glesv2)
%else
Requires:       pkgconfig(gl)
%endif
Requires:       pkgconfig(egl)
Requires:       pkgconfig(libdrm)

%description -n libQt5Gui-devel
Development files for the Qt5 GUI library.

%package -n libQt5Gui-private-headers-devel
Summary:        Non-ABI stable experimental API for the Qt5 GUI library
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5Gui-devel = %{version}

%description -n libQt5Gui-private-headers-devel
This package provides private headers of libQt5Gui that are normally
not used by application development and that do not have any ABI or
API guarantees. The packages that build against these have to require
the exact Qt version.

%package -n libQt5Sql5
Summary:        Qt 5 SQL related libraries
Group:          Development/Libraries/C and C++
Recommends:     libqt5_sql_backend = %{version}
Suggests:       libqt5-sql-sqlite
Requires:       libQt5Core5 = %{version}

%description -n libQt5Sql5
Qt 5 libraries which are used for connection with an SQL server. You
will need also a plugin package for a supported SQL server.

%package -n libQt5Sql-devel
Summary:        Development files for the Qt5 SQL library
Group:          Development/Libraries/C and C++
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Sql5 = %{version}
Suggests:       libQt5Sql5-mysql = %{version}
Suggests:       libQt5Sql5-postgresql = %{version}
Suggests:       libQt5Sql5-sqlite = %{version}
Suggests:       libQt5Sql5-unixODBC = %{version}

%description -n libQt5Sql-devel
Qt 5 libraries which are used for connection with an SQL server. You
will need also a plugin package for a supported SQL server.

%package -n libQt5Sql-private-headers-devel
Summary:        Non-ABI stable experimental API for the Qt5 SQL library
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5Sql-devel = %{version}

%description -n libQt5Sql-private-headers-devel
This package provides private headers of libQt5Sql that are normally
not used by application development and that do not have any ABI or
API guarantees. The packages that build against these have to require
the exact Qt version.

%package private-headers-devel
Summary:        Non-ABI stable experimental API
Group:          Development/Libraries/C and C++
BuildArch:      noarch
Requires:       %{name}-devel = %{version}
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5DBus-private-headers-devel = %{version}
Requires:       libQt5Gui-private-headers-devel = %{version}
Requires:       libQt5KmsSupport-private-headers-devel = %{version}
Requires:       libQt5Network-private-headers-devel = %{version}
Requires:       libQt5OpenGL-private-headers-devel = %{version}
Requires:       libQt5PlatformSupport-private-headers-devel = %{version}
Requires:       libQt5PrintSupport-private-headers-devel = %{version}
Requires:       libQt5Sql-private-headers-devel = %{version}
Requires:       libQt5Test-private-headers-devel = %{version}
Requires:       libQt5Widgets-private-headers-devel = %{version}

%description private-headers-devel
This package provides private headers of libqt5-qtbase-devel that are normally
not used by application development and that do not have any ABI or
API guarantees. The packages that build against these have to require
the exact Qt version.

%package -n libQt5Bootstrap-devel-static
Summary:        Qt Bootstrap module
Group:          Development/Libraries/C and C++
Requires:       %{name}-common-devel = %{version}

%description -n libQt5Bootstrap-devel-static
Qt Bootstrap module.

%package -n libQt5OpenGLExtensions-devel-static
Summary:        Qt OpenGLExtensions module
Group:          Development/Libraries/C and C++
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Gui-devel = %{version}
# List the below ones manually - they are private, but this is a static lib
Requires:       pkgconfig(gl)

%description -n libQt5OpenGLExtensions-devel-static
Qt OpenGLExtensions module.

%package -n libQt5PlatformSupport-devel-static
Summary:        Qt PlatformSupport module
Group:          Development/Libraries/C and C++
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Gui-devel = %{version}
Requires:       libQt5PlatformHeaders-devel = %{version}
# List the below ones manually - they are private, but this is a static lib
Requires:       tslib-devel
Requires:       pkgconfig(Qt5DBus)
Requires:       pkgconfig(egl)
Requires:       pkgconfig(fontconfig)
Requires:       pkgconfig(freetype2)
Requires:       pkgconfig(gl)
Requires:       pkgconfig(glib-2.0)
Requires:       pkgconfig(libinput)
Requires:       pkgconfig(libudev)
Requires:       pkgconfig(mtdev)
Requires:       pkgconfig(x11)
Requires:       pkgconfig(xext)
Requires:       pkgconfig(xkbcommon) >= 0.4.1
Requires:       pkgconfig(xkbcommon-x11) >= 0.4.1
Requires:       pkgconfig(xrender)

%description -n libQt5PlatformSupport-devel-static
Qt PlatformSupport module.

%package -n libQt5PlatformSupport-private-headers-devel
Summary:        Non-ABI stable experimental API for the  Qt5 platform support library
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5Gui-private-headers-devel = %{version}
Requires:       libQt5PlatformSupport-devel-static = %{version}

%description -n libQt5PlatformSupport-private-headers-devel
This package provides private headers of libQt5PlatformSupport that
are normally not used by application development and that do not have
any ABI or API guarantees. The packages that build against these have
to require the exact Qt version.

%package -n libQt5KmsSupport-devel-static
Summary:        Qt KMS support module
Group:          Development/Libraries/X11
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Gui-devel = %{version}

%description -n libQt5KmsSupport-devel-static
Qt module to support Kernel Mode Setting.

%package -n libQt5KmsSupport-private-headers-devel
Summary:        Non-ABI stable experimental API for the Qt5 KMS support library
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5Gui-private-headers-devel = %{version}
Requires:       libQt5KmsSupport-devel-static = %{version}

%description -n libQt5KmsSupport-private-headers-devel
This package provides private headers of libQt5KmsSupport that are
normally not used by application development and that do not have any
ABI or API guarantees. The packages that build against these have to
require the exact Qt version.

%package -n libQt5PlatformHeaders-devel
Summary:        Qt 5 PlatformHeaders
Group:          Development/Libraries/X11
# NOTE this needs to be checked on every update - package provides only a low number of headers, so check which 3rd party, or other qtbase includes are used
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Gui-devel = %{version}
Requires:       pkgconfig(egl)
Requires:       pkgconfig(x11)
%if %gles
Requires:       Mesa-libGLESv3-devel
Requires:       pkgconfig(glesv2)
%else
Requires:       pkgconfig(gl)
%endif

%description -n libQt5PlatformHeaders-devel
Qt 5 PlatformHeaders.

%package examples
Summary:        Qt5 base examples
Group:          Development/Libraries/X11
Recommends:     libqt5-qtbase-devel

%description examples
Examples for the libqt5-qtbase modules.

%build
#export QMAKESPEC=$PWD/mkspecs/linux-g++
%ifarch ppc64
  RPM_OPT_FLAGS="%{optflags} -mminimal-toc"
%endif
export CXXFLAGS="$CXXFLAGS %{optflags} -DOPENSSL_LOAD_CONF"
export CFLAGS="$CFLAGS %{optflags} -DOPENSSL_LOAD_CONF"
export MAKEFLAGS="%{?_smp_mflags}"
%ifarch sparc64
platform="-platform linux-g++-64"
%else
platform=""
%endif
%define xkbconfigroot %(pkg-config --variable=xkb_base xkeyboard-config)
#if %qt5_snapshot
#force the configure script to generate the forwarding headers (it checks whether .git directory exists)
mkdir .git
#endif
# Record mtime of changes file instead of build time
export CHANGES=`stat --format="%y" %{SOURCE1}|cut --characters=1-10`
sed -i 's|qt_instdate=`date +%Y-%m-%d`|qt_instdate=$CHANGES|g' configure
# so non-qt5 apps/libs don't get stripped
sed -i -e 's|^\(QMAKE_STRIP.*=\).*$|\1|g' mkspecs/common/linux.conf

echo yes | ./configure $platform \
	-prefix %{_prefix} \
	-L %{libqt5_libdir} \
	-libdir %{libqt5_libdir} \
	-archdatadir %{libqt5_archdatadir} \
	-bindir %{libqt5_bindir} \
	-datadir %{libqt5_datadir} \
	-docdir %{libqt5_docdir} \
	-examplesdir %{libqt5_examplesdir} \
	-headerdir %{libqt5_includedir} \
	-importdir %{libqt5_importdir} \
	-libexecdir %{libqt5_libexecdir} \
	-plugindir %{libqt5_plugindir} \
	-sysconfdir %{libqt5_sysconfdir} \
	-translationdir %{libqt5_translationdir} \
	-verbose \
%ifarch %ix86 x86_64
	-reduce-relocations \
%else
	-no-reduce-relocations \
%endif
%ifarch %ix86
%if 0%{?sle_version:%sle_version} < 150000
	-no-sse2 -no-pch \
%endif
%endif
	-optimized-qmake \
	-accessibility \
	-no-strip \
	-opensource \
	-no-separate-debug-info \
	-force-debug-info \
	-shared \
	-xkb \
	-system-xkbcommon \
	-dbus-linked \
	-sm \
	-no-rpath \
	-system-libjpeg \
	-openssl-linked \
	-system-libpng \
	-system-harfbuzz \
	-fontconfig \
	-system-freetype \
	-cups \
	-system-zlib \
	-no-pch \
	-glib \
	-system-sqlite \
	-no-sql-mysql \
	-no-strip \
%if %journald
	-journald \
%endif
	-libproxy \
	-xcb \
	-egl \
	-eglfs \
%if %gles
	-eglfs -kms \
	-opengl es2 \
%else
	-opengl desktop \
%endif
    -release \
	-plugin-sql-sqlite -nomake tests \
	-plugin-sql-psql -I/usr/include/pgsql/ -I/usr/include/pgsql/server \
	-plugin-sql-odbc \
	-plugin-sql-mysql -I/usr/include/mysql/ \
	-v \
	QMAKE_CFLAGS+="$CFLAGS" \
	QMAKE_CXXFLAGS+="$CXXFLAGS"

make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install

%ifarch %ix86
%if 0%{?sle_version:%sle_version} < 150000
install -d %{buildroot}%{libqt5_libdir}/sse2/

pushd src/corelib; make clean ; ../../bin/qmake -config sse2; make %{?_smp_mflags}
cp -av ../../lib/libQt5Core.so.* %{buildroot}%{libqt5_libdir}/sse2/
popd

pushd src/gui; ../../bin/qmake -config sse2; make %{?_smp_mflags}
cp -av ../../lib/libQt5Gui.so.* %{buildroot}%{libqt5_libdir}/sse2/
popd
%endif
%endif

install -D -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/rpm/macros.qt5
# argggh, qmake is such a piece of <censored>
find %{buildroot}%{libqt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L$RPM_BUILD_DIR/\S+,,g" {} +
find %{buildroot}%{libqt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} +
find %{buildroot}%{libqt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L$RPM_BUILD_DIR/?\S+,,g" {} +
# insanity ...
find %{buildroot}%{libqt5_libdir} -type f -name '*pc' -print -exec perl -pi -e "s, -L$RPM_BUILD_DIR/?\S+,,g" {} + -exec sed -i -e "s,^moc_location=.*,moc_location=%libqt5_bindir/moc," -e "s,uic_location=.*,uic_location=%libqt5_bindir/uic," {} +
find %{buildroot}%{libqt5_libdir}/ -name 'lib*.a' -exec chmod -x -- {} +
# kill .la files
rm -fv %{buildroot}%{libqt5_libdir}/lib*.la
rm -fv %{buildroot}%{libqt5_libdir}/*png.*

#
rm -fv %{buildroot}%{libqt5_libdir}/cmake/Qt5*/Q*Plugin.cmake

mkdir -p %{buildroot}%{libqt5_plugindir}/sqldrivers

# put all the binaries to %{_bindir}, add -qt5 suffix, and symlink them back to %_qt5_bindir
mkdir -p %{buildroot}%{_bindir}
pushd %{buildroot}%{libqt5_bindir}
for i in * ; do
  case "${i}" in
    moc|qdbuscpp2xml|qdbusxml2cpp|qmake|rcc|syncqt|uic)
      mv $i ../../../bin/${i}-qt5
      ln -s ../../../bin/${i}-qt5 .
      ln -s ../../../bin/${i}-qt5 $i
      ;;
   *)
      mv $i ../../../bin/
      ln -s ../../../bin/$i .
      ;;
  esac
done
popd
pushd %{buildroot}%{libqt5_docdir}/global/template/images
chmod -R 644 *.png
popd

%post -n libQt5Core5 -p /sbin/ldconfig

%post -n libQt5Concurrent5 -p /sbin/ldconfig

%post -n libQt5DBus5 -p /sbin/ldconfig

%post -n libQt5Network5 -p /sbin/ldconfig

%post -n libQt5OpenGL5 -p /sbin/ldconfig

%post -n libQt5PrintSupport5 -p /sbin/ldconfig

%post -n libQt5Xml5 -p /sbin/ldconfig

%post -n libQt5Gui5 -p /sbin/ldconfig

%post -n libQt5Sql5 -p /sbin/ldconfig

%post -n libQt5Test5 -p /sbin/ldconfig

%post -n libQt5Widgets5 -p /sbin/ldconfig

%postun -n libQt5Core5 -p /sbin/ldconfig

%postun -n libQt5Concurrent5 -p /sbin/ldconfig

%postun -n libQt5DBus5 -p /sbin/ldconfig

%postun -n libQt5Network5 -p /sbin/ldconfig

%postun -n libQt5OpenGL5 -p /sbin/ldconfig

%postun -n libQt5PrintSupport5 -p /sbin/ldconfig

%postun -n libQt5Xml5 -p /sbin/ldconfig

%postun -n libQt5Gui5 -p /sbin/ldconfig

%postun -n libQt5Sql5 -p /sbin/ldconfig

%postun -n libQt5Test5 -p /sbin/ldconfig

%postun -n libQt5Widgets5 -p /sbin/ldconfig

%files common-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{_sysconfdir}/rpm/macros.qt5
%{_bindir}/moc*
%{libqt5_bindir}/moc*
%{_bindir}/qmake*
%{libqt5_bindir}/qmake*
%{_bindir}/rcc*
%{libqt5_bindir}/rcc*
%{_bindir}/uic*
%{libqt5_bindir}/uic*
%{_bindir}/syncqt.pl*
%{_bindir}/fixqt4headers.pl*
%{libqt5_bindir}/syncqt.pl*
%{libqt5_bindir}/fixqt4headers.pl*
%{_bindir}/qlalr*
%{libqt5_bindir}/qlalr*
%{libqt5_archdatadir}/mkspecs/
%dir %{libqt5_libdir}/cmake
%dir %{libqt5_includedir}
%dir %{libqt5_archdatadir}
%dir %{libqt5_bindir}

%files -n libQt5Core5
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5Core.so.*
%ifarch %ix86
%if 0%{?sle_version:%sle_version} < 150000
%dir %{libqt5_libdir}/sse2
%{libqt5_libdir}/sse2/libQt5Core.so.*
%endif
%endif

%files -n libQt5Core-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5Core.so
%{libqt5_libdir}/libQt5Core.prl
%{libqt5_libdir}/cmake/Qt5Core/
%{libqt5_libdir}/cmake/Qt5/
%{libqt5_libdir}/pkgconfig/Qt5Core.pc
%{libqt5_includedir}/QtCore/
%exclude %{libqt5_includedir}/QtCore/%{so_version}
%{libqt5_docdir}

%files -n libQt5Concurrent5
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5Concurrent.so.*

%files -n libQt5Concurrent-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5Concurrent.so
%{libqt5_libdir}/libQt5Concurrent.prl
%{libqt5_libdir}/cmake/Qt5Concurrent/
%{libqt5_libdir}/pkgconfig/Qt5Concurrent.pc
%{libqt5_includedir}/QtConcurrent/

%files -n libQt5DBus5
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5DBus.so.*

%files -n libQt5DBus-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5DBus.so
%{libqt5_libdir}/libQt5DBus.prl
%{libqt5_libdir}/cmake/Qt5DBus/
%{libqt5_libdir}/pkgconfig/Qt5DBus.pc
%{libqt5_includedir}/QtDBus/
%exclude %{libqt5_includedir}/QtDBus/%{so_version}
%{libqt5_bindir}/qdbusxml2cpp*
%{_bindir}/qdbusxml2cpp*
%{libqt5_bindir}/qdbuscpp2xml*
%{_bindir}/qdbuscpp2xml*

%files -n libQt5Network5
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5Network.so.*
%dir %{libqt5_libdir}/qt5
%dir %{libqt5_plugindir}
%{libqt5_plugindir}/bearer

%files -n libQt5Network-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5Network.so
%{libqt5_libdir}/libQt5Network.prl
%{libqt5_libdir}/cmake/Qt5Network/
%{libqt5_libdir}/pkgconfig/Qt5Network.pc
%{libqt5_includedir}/QtNetwork/
%exclude %{libqt5_includedir}/QtNetwork/%{so_version}

%files -n libQt5OpenGL5
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5OpenGL.so.*

%files -n libQt5OpenGL-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5OpenGL.so
%{libqt5_libdir}/libQt5OpenGL.prl
%{libqt5_libdir}/cmake/Qt5OpenGL/
%{libqt5_libdir}/pkgconfig/Qt5OpenGL.pc
%{libqt5_includedir}/QtOpenGL/
%exclude %{libqt5_includedir}/QtOpenGL/%{so_version}

%files -n libQt5PrintSupport5
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5PrintSupport.so.*
%{libqt5_plugindir}/printsupport

%files -n libQt5PrintSupport-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5PrintSupport.so
%{libqt5_libdir}/libQt5PrintSupport.prl
%{libqt5_libdir}/cmake/Qt5PrintSupport/
%{libqt5_libdir}/pkgconfig/Qt5PrintSupport.pc
%{libqt5_includedir}/QtPrintSupport/
%exclude %{libqt5_includedir}/QtPrintSupport/%{so_version}

%files -n libQt5Xml5
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5Xml.so.*

%files -n libQt5Xml-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5Xml.so
%{libqt5_libdir}/libQt5Xml.prl
%{libqt5_libdir}/cmake/Qt5Xml/
%{libqt5_libdir}/pkgconfig/Qt5Xml.pc
%{libqt5_includedir}/QtXml/

%files -n libQt5Test5
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5Test.so.*

%files -n libQt5Test-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5Test.so
%{libqt5_libdir}/libQt5Test.prl
%{libqt5_libdir}/cmake/Qt5Test/
%{libqt5_libdir}/pkgconfig/Qt5Test.pc
%{libqt5_includedir}/QtTest/
%exclude %{libqt5_includedir}/QtTest/%{so_version}

%files -n libQt5Widgets5
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5Widgets.so.*

%files -n libQt5Widgets-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5Widgets.so
%{libqt5_libdir}/libQt5Widgets.prl
%{libqt5_libdir}/cmake/Qt5Widgets/
%{libqt5_libdir}/pkgconfig/Qt5Widgets.pc
%{libqt5_includedir}/QtWidgets/
%exclude %{libqt5_includedir}/QtWidgets/%{so_version}

%files -n libQt5Gui5
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5Gui.so.*
%ifarch %ix86
%if 0%{?sle_version:%sle_version} < 150000
%{libqt5_libdir}/sse2/libQt5Gui.so.*
%endif
%endif
%{libqt5_libdir}/libQt5EglFSDeviceIntegration.so.*
%{libqt5_libdir}/libQt5EglFsKmsSupport.so.*
%{libqt5_libdir}/libQt5XcbQpa.so.*
%{libqt5_plugindir}/generic
%{libqt5_plugindir}/imageformats
%{libqt5_plugindir}/platforminputcontexts
%{libqt5_plugindir}/platforms
%{libqt5_plugindir}/egldeviceintegrations
%{libqt5_plugindir}/xcbglintegrations

%files platformtheme-gtk3
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%dir %{libqt5_plugindir}/platformthemes
%{libqt5_plugindir}/platformthemes/libqgtk3.so

%files -n libQt5Gui-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5Gui.so
%{libqt5_libdir}/libQt5Gui.prl
%{libqt5_libdir}/libQt5EglFSDeviceIntegration.so
%{libqt5_libdir}/libQt5EglFSDeviceIntegration.prl
%{libqt5_libdir}/libQt5EglFsKmsSupport.prl
%{libqt5_libdir}/libQt5EglFsKmsSupport.so
%{libqt5_libdir}/cmake/Qt5Gui/
%{libqt5_libdir}/pkgconfig/Qt5Gui.pc
%{libqt5_includedir}/QtGui/
%{libqt5_includedir}/QtEglFSDeviceIntegration/
%exclude %{libqt5_includedir}/QtGui/%{so_version}
%exclude %{libqt5_includedir}/QtEglFSDeviceIntegration/%{so_version}

%files devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt

%files private-headers-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt

%files -n libQt5Sql5
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5Sql.so.*
%dir %{libqt5_plugindir}/sqldrivers

%files -n libQt5Sql-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5Sql.so
%{libqt5_libdir}/libQt5Sql.prl
%{libqt5_libdir}/cmake/Qt5Sql/
%{libqt5_libdir}/pkgconfig/Qt5Sql.pc
%{libqt5_includedir}/QtSql/
%exclude %{libqt5_includedir}/QtSql/%{so_version}

%files -n libQt5Sql5-sqlite
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_plugindir}/sqldrivers/libqsqlite*.so

%files -n libQt5Sql5-unixODBC
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_plugindir}/sqldrivers/libqsqlodbc*.so

%files -n libQt5Sql5-postgresql
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_plugindir}/sqldrivers/libqsqlpsql*.so

%files -n libQt5Sql5-mysql
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_plugindir}/sqldrivers/libqsqlmysql*.so

%files -n libQt5Bootstrap-devel-static
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5Bootstrap.a
%{libqt5_libdir}/libQt5Bootstrap.prl
#{libqt5_libdir}/pkgconfig/Qt5Bootstrap.pc

%files -n libQt5OpenGLExtensions-devel-static
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5OpenGLExtensions.a
%{libqt5_libdir}/libQt5OpenGLExtensions.prl
%{libqt5_libdir}/cmake/Qt5OpenGLExtensions/
%{libqt5_libdir}/pkgconfig/Qt5OpenGLExtensions.pc
%{libqt5_includedir}/QtOpenGLExtensions/

%files -n libQt5PlatformSupport-devel-static
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5XcbQpa.so
%{libqt5_libdir}/libQt5XcbQpa.prl
%{libqt5_libdir}/libQt5AccessibilitySupport.a
%{libqt5_libdir}/libQt5AccessibilitySupport.prl
%{libqt5_libdir}/libQt5DeviceDiscoverySupport.a
%{libqt5_libdir}/libQt5DeviceDiscoverySupport.prl
%{libqt5_libdir}/libQt5EglSupport.a
%{libqt5_libdir}/libQt5EglSupport.prl
%{libqt5_libdir}/libQt5EventDispatcherSupport.a
%{libqt5_libdir}/libQt5EventDispatcherSupport.prl
%{libqt5_libdir}/libQt5FbSupport.a
%{libqt5_libdir}/libQt5FbSupport.prl
%{libqt5_libdir}/libQt5FontDatabaseSupport.a
%{libqt5_libdir}/libQt5FontDatabaseSupport.prl
%ifnarch %arm aarch64
%{libqt5_libdir}/libQt5GlxSupport.a
%{libqt5_libdir}/libQt5GlxSupport.prl
%endif
%{libqt5_libdir}/libQt5InputSupport.a
%{libqt5_libdir}/libQt5InputSupport.prl
%{libqt5_libdir}/libQt5LinuxAccessibilitySupport.a
%{libqt5_libdir}/libQt5LinuxAccessibilitySupport.prl
%{libqt5_libdir}/libQt5PlatformCompositorSupport.a
%{libqt5_libdir}/libQt5PlatformCompositorSupport.prl
%{libqt5_libdir}/libQt5ServiceSupport.a
%{libqt5_libdir}/libQt5ServiceSupport.prl
%{libqt5_libdir}/libQt5ThemeSupport.a
%{libqt5_libdir}/libQt5ThemeSupport.prl
%{libqt5_includedir}/QtAccessibilitySupport/
%{libqt5_includedir}/QtDeviceDiscoverySupport/
%{libqt5_includedir}/QtEglSupport/
%{libqt5_includedir}/QtEventDispatcherSupport/
%{libqt5_includedir}/QtFbSupport/
%{libqt5_includedir}/QtFontDatabaseSupport/
%ifnarch %arm aarch64
%{libqt5_includedir}/QtGlxSupport/
%endif
%{libqt5_includedir}/QtInputSupport/
%{libqt5_includedir}/QtLinuxAccessibilitySupport/
%{libqt5_includedir}/QtPlatformCompositorSupport/
%{libqt5_includedir}/QtServiceSupport/
%{libqt5_includedir}/QtThemeSupport/
%exclude %{libqt5_includedir}/QtAccessibilitySupport/%{so_version}/
%exclude %{libqt5_includedir}/QtDeviceDiscoverySupport/%{so_version}/
%exclude %{libqt5_includedir}/QtEglSupport/%{so_version}/
%exclude %{libqt5_includedir}/QtEventDispatcherSupport/%{so_version}/
%exclude %{libqt5_includedir}/QtFbSupport/%{so_version}/
%exclude %{libqt5_includedir}/QtFontDatabaseSupport/%{so_version}/
%ifnarch %arm aarch64
%exclude %{libqt5_includedir}/QtGlxSupport/%{so_version}/
%endif
%exclude %{libqt5_includedir}/QtInputSupport/%{so_version}/
%exclude %{libqt5_includedir}/QtLinuxAccessibilitySupport/%{so_version}/
%exclude %{libqt5_includedir}/QtPlatformCompositorSupport/%{so_version}/
%exclude %{libqt5_includedir}/QtServiceSupport/%{so_version}/
%exclude %{libqt5_includedir}/QtThemeSupport/%{so_version}/

%files -n libQt5KmsSupport-devel-static
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_libdir}/libQt5KmsSupport.a
%{libqt5_libdir}/libQt5KmsSupport.prl
%exclude %{libqt5_includedir}/QtKmsSupport/%{so_version}/
%{libqt5_includedir}/QtKmsSupport/

%files -n libQt5Core-private-headers-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_includedir}/QtCore/%{so_version}/

%files -n libQt5DBus-private-headers-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_includedir}/QtDBus/%{so_version}/

%files -n libQt5Gui-private-headers-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_includedir}/QtGui/%{so_version}/
%{libqt5_includedir}/QtEglFSDeviceIntegration/%{so_version}

%files -n libQt5KmsSupport-private-headers-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_includedir}/QtKmsSupport/%{so_version}/

%files -n libQt5Network-private-headers-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_includedir}/QtNetwork/%{so_version}/

%files -n libQt5OpenGL-private-headers-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_includedir}/QtOpenGL/%{so_version}/

%files -n libQt5PlatformSupport-private-headers-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_includedir}/QtAccessibilitySupport/%{so_version}/
%{libqt5_includedir}/QtDeviceDiscoverySupport/%{so_version}/
%{libqt5_includedir}/QtEglSupport/%{so_version}/
%{libqt5_includedir}/QtEventDispatcherSupport/%{so_version}/
%{libqt5_includedir}/QtFbSupport/%{so_version}/
%{libqt5_includedir}/QtFontDatabaseSupport/%{so_version}/
%ifnarch %arm aarch64
%{libqt5_includedir}/QtGlxSupport/%{so_version}/
%endif
%{libqt5_includedir}/QtInputSupport/%{so_version}/
%{libqt5_includedir}/QtLinuxAccessibilitySupport/%{so_version}/
%{libqt5_includedir}/QtPlatformCompositorSupport/%{so_version}/
%{libqt5_includedir}/QtServiceSupport/%{so_version}/
%{libqt5_includedir}/QtThemeSupport/%{so_version}/

%files -n libQt5PrintSupport-private-headers-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_includedir}/QtPrintSupport/%{so_version}/

%files -n libQt5Sql-private-headers-devel
%license LICENSE.*
%doc *.txt
%{libqt5_includedir}/QtSql/%{so_version}/

%files -n libQt5Test-private-headers-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_includedir}/QtTest/%{so_version}/

%files -n libQt5Widgets-private-headers-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_includedir}/QtWidgets/%{so_version}/

%files -n libQt5PlatformHeaders-devel
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_includedir}/QtPlatformHeaders/

%files examples
%defattr(-,root,root,755)
%license LICENSE.*
%doc *.txt
%{libqt5_examplesdir}/

%changelog
* Fri Sep 11 2020 Fabian Vogt <fvogt@suse.com>
- Fix buffer overflow in XBM parser (bsc#1176315, CVE-2020-17507):
  * 0001-Fix-buffer-overflow-in-XBM-parser.patch
- Make handling of XDG_RUNTIME_DIR more secure (bsc#1172515):
  * 0002-wasm-disable-XDG_RUNTIME_DIR-warning.patch
  * 0003-QStandardPaths-Correct-handling-for-XDG_RUNTIME_DIR.patch
  * 0004-QStandardPaths-Unix-improve-the-XDG_RUNTIME_DIR-crea.patch
* Thu Jan 16 2020 Fabian Vogt <fvogt@suse.com>
- Add patches to avoid loading plugins from CWD (bsc#1161167, CVE-2020-0569):
  * 0001-Do-not-load-plugin-from-the-PWD.patch
  * 0001-Doc-QPluginLoader-remove-the-claim-we-search-the-cur.patch
* Mon Dec  9 2019 Martin Wilck <mwilck@suse.com>
- Fix comboboxes not showing in correct location (boo#1158667)
  * add xcb-dont-rely-on-_NET_WORKAREA_for_available_geometry.patch
* Mon Mar 25 2019 Antonio Larrosa <alarrosa@suse.com>
- Add qt.qpa.xcb and qt.qpa.events logging categories so xcb warnings
  can be disabled (boo#1115541, QTBUG-55167)
  * add-logging-category-for-xcb-warnings.patch
- Use %%license
* Fri Mar 22 2019 Max Lin <mlin@suse.com>
- Update 0001-xcb-prevent-crash-with-pixmap-cursors-on-XRender-less-system.patch
  * Use QT_CONFIG(xcb_render) for Qt >= 5.9, XCB_USE_RENDER has been
    obsoleted. (bsc#1108889)
* Tue Oct 23 2018 fabian@ritter-vogt.de
- Update to 5.9.7:
  * New bugfix release
  * http://code.qt.io/cgit/qt/qtbase.git/plain/dist/changes-5.9.7/?h=v5.9.7
- Remove patches, now upstream:
  * 0001-Revert-Fix-restoring-geometry-of-dockwidget.patch
- Add patch to allow building against OpenSSL 1.1 again:
  * 0001-Revert-Fail-faster-on-OpenSSL-1.1.patch
* Thu Sep 27 2018 Max Lin <mlin@suse.com>
- Add patch to fix fails to load pixmap cursors on XRender less system
  (bsc#1108889)
  * 0001-xcb-prevent-crash-with-pixmap-cursors-on-XRender-less-system.patch
* Wed Sep 26 2018 mischa.salle@gmail.com
- Add patch to fix boo#1096328, printer settings not remembered:
  * 0001-Unix-print-dialog-Properly-initialize-duplex.patch
* Tue Aug 28 2018 fabian@ritter-vogt.de
- Pass CFLAGS and CXXFLAGS to configure explicitly to ensure that
  they are used
* Fri Jul  6 2018 fvogt@suse.com
- Add patch to fix loading libGL dynamically (boo#1099874):
  * 0001-glx-Fix-loading-OpenGL-library-when-libGL.so-symlink.patch
* Thu Jun 28 2018 fabian@ritter-vogt.de
- Add patch to prevent regression regarding hidden dock widgets (QTBUG-68939):
  * 0001-Revert-Fix-restoring-geometry-of-dockwidget.patch
* Thu Jun 28 2018 fabian@ritter-vogt.de
- Add patches to improve OOTB experience with HiDPI (boo#1089932):
  * 0001-Sanitize-QXcbScreen-s-pixelDensity-values.patch
  * 0002-xcb-Use-the-screen-s-physical-DPI-as-logical-DPI-unl.patch
* Wed Jun  6 2018 fabian@ritter-vogt.de
- Update to 5.9.6
  * New bugfix release
  * For more details please see:
  * http://code.qt.io/cgit/qt/qtbase.git/plain/dist/changes-5.9.6/?h=v5.9.6
* Mon Apr 23 2018 fabian@ritter-vogt.de
- Update to 5.9.5
  * New bugfix release
  * For more details please see:
  * http://code.qt.io/cgit/qt/qtbase.git/plain/dist/changes-5.9.5/?h=v5.9.5
- Remove patches, now upstream:
  * opengl-Bail-if-cached-shader-fails-to-load.patch
  * 0001-Avoid-providing-bad-pixelDeltas-on-X11.patch
  * 0001-QSimpleDrag-Fix-mouse-release-coords-for-delayed-eve.patch
- Refresh patches:
  * 0001-Extend-the-MariaDB-define-check-to-cover-the-later-v.patch
* Thu Mar  1 2018 alarrosa@suse.com
- Rework 0001-Add-remote-print-queue-support.patch so now the remote
  print queue discovery is disabled by default and is only enabled when
  the QT_ENABLE_PRINTER_DISCOVERY environment variable is set
  (QT_DISABLE_PRINTER_DISCOVERY is no longer used) (fixes boo#1064872)
* Fri Feb 23 2018 fabian@ritter-vogt.de
- Enable journald support (boo#1050461)
* Mon Feb 12 2018 mstaudt@suse.com
- Add opengl-Bail-if-cached-shader-fails-to-load.patch:
  Fixing broken OpenGL rendering with cached shaders.
  This is especially systems with Mesa 18.0.0 or newer.
  Many thanks to Michal Srb and Fabian Vogt for hunting this down.
  This was truly a joint effort.
  Fixes boo#1080578 and all duplicates of boo#1079465.
* Mon Feb 12 2018 fvogt@suse.com
- Add -force-debug-info to also generate debug info in release builds
  (boo#1080551)
* Thu Feb  8 2018 fabian@ritter-vogt.de
- Add patch to fix plugin loading with newer MariaDB versions (boo#1080048):
  * 0001-Extend-the-MariaDB-define-check-to-cover-the-later-v.patch
* Fri Feb  2 2018 alarrosa@suse.com
- Add 0001-QSimpleDrag-Fix-mouse-release-coords-for-delayed-eve.patch
  to fix a bug causing the wrong desktop icon to look hovered
  after dragging an icon on the desktop in plasma (QTBUG-66103, boo#1080044)
* Fri Jan 26 2018 alarrosa@suse.com
- Moved 0001-Avoid-providing-bad-pixelDeltas-on-X11.patch to use a patch
  number in the 1000-1999 range  since it was approved in the 5.9 branch
  upstream.
* Fri Jan 26 2018 alarrosa@suse.com
- Add 0001-Avoid-providing-bad-pixelDeltas-on-X11.patch to avoid using
  the hardcoded resolution that libinput is giving as a real pixel
  delta (QTBUG-59261).
* Thu Jan 25 2018 alarrosa@suse.com
- Add patches from upstream to reintroduce the advanced tab in
  the Qt printer properties dialog:
  * 0001-Remove-QPrintDialogPrivate-applyPrinterProperties-no.patch
  * 0002-Remove-QUnixPrintWidgetPrivate-applyPrinterPropertie.patch
  * 0003-Remove-QPrintPropertiesDialog-applyPrinterProperties.patch
  * 0004-Remove-QCupsJobWidget-setPrinter.patch
  * 0005-Remove-QPrintPropertiesDialog-selectPrinter.patch
  * 0006-Remove-QPageSetupWidget-selectPrinter.patch
  * 0007-Introduce-QPrintDevice-property-setProperty.patch
  * 0008-Allow-access-to-ppd-file-and-ppdMarkOption-via-QPpdP.patch
  * 0009-QPlatformPrintDevice-use-QVector-not-QList-in-the-AP.patch
  * 0010-Reintroduce-the-Advanced-tab-in-the-QPrintProperties.patch
  * 0011-QtPrintSupport-Fix-build.patch
- Small change in 0001-Add-remote-print-queue-support.patch so
  0007-Allow-access-to-ppd-file-and-ppdMarkOption-via-QPpdP.patch
  applies cleanly.
- Add patches to fix the custom page size handling in the print dialog as
  well as other printer issues (QTBUG-58733, boo#994809):
  * 0002-CUPS-Use-default-cups-job-priority-instead-of-50.patch
  * 0003-QPageSetupWidget-setPrinter-Use-printdevice-default-paper-size.patch
  * 0004-Fix-custom-page-size-handling-in-the-Unix-print-dial.patch
  * 0005-CUPS-Refactor-the-code-a-bit.patch
  * 0006-Refactor-QPPDOptionsModel-a-bit.patch
  * 0007-CUPS-Fix-advanced-options-cancel-of-the-print-properties-dialog.patch
  * 0008-CUPS-Fix-conflict-handling.patch
  * 0009-CUPS-Use-printer-job-sheets-as-default-instead-of-none-none.patch
  * 0010-CUPS-Use-printer-job-billing-as-default-instead-of-the-empty-string.patch
  * 0011-CUPS-Use-printer-job-hold-until-as-default-instead-of-the-nohold.patch
  * 0012-Unix-Fix-usability-of-the-print-properties-dialog.patch
  * 0013-cups-Dont-show-InstallableOptions-in-the-advanced-properties-tab.patch
  * 0014-CUPS-Enable-printing-arbitrary-pages-and-page-ranges.patch
  * 0015-CUPS-Dont-show-choices-that-conflict-with-the-printer-installed-options.patch
  * 0016-CUPS-Rework-set-clearCupsOption-API.patch
  * 0017-Cups-Print-Dialog-Change-the-message-box-titles-to-C.patch
  * 0018-Fix-build-due-to-missing-QDebug-include.patch
- Dropped 0001-Fix-custom-page-size-handling-in-the-Unix-print-dial.patch
  which is now included in the previous patchset with order 0004.
* Thu Jan 25 2018 fabian@ritter-vogt.de
- Update to 5.9.4:
  * New bugfix release
  * For more details, see
    http://code.qt.io/cgit/qt/qtbase.git/tree/dist/changes-5.9.4/?h=v5.9.4
* Sat Nov 25 2017 fabian@ritter-vogt.de
- Update to 5.9.3
  * New bugfix release
  * For more details, see:
    http://code.qt.io/cgit/qt/qtbase.git/tree/dist/changes-5.9.3/?h=v5.9.3
- Drop patches, now upstream:
  * qglxconvenience-avoid-null-pointer-deref.patch
* Fri Oct 27 2017 fabian@ritter-vogt.de
- Update 0001-QSslSocket-OpenSSL-1.1-backend.patch from git
* Sun Oct  8 2017 lbeltrame@kde.org
- Update to 5.9.2
  * For more details please see:
  https://blog.qt.io/blog/2017/10/06/qt-5-9-2-released/
- Drop patches, now upstream:
  * 0001-Fix-open-chmod-race-condition-in-QSaveFile.patch
  * de63bbd2f806b0219a60775017899cedb121581f.patch
  * 0001-Fix-at-spi2-build.patch
  * 0001-Fix-Qt5DBusMacros.cmake-for-CMake-3.9.patch
  * dont-abort-missing-display.patch
* Fri Sep 29 2017 jengelh@inai.de
- Update package descriptions and grouping.
- Use find -exec's "+" strategy
* Wed Sep 13 2017 fabian@ritter-vogt.de
- Add patch to fix crash with XLIB_SKIP_ARGB_VISUALS set:
  * qglxconvenience-avoid-null-pointer-deref.patch (boo#1057971, kde#384540)
* Thu Aug 31 2017 christophe@krop.fr
- Add 0001-Fix-Qt5DBusMacros.cmake-for-CMake-3.9.patch.
  Fixes a race condition when building KMail due to the DBus
  interface files being used in several places.
* Tue Aug 29 2017 fabian@ritter-vogt.de
- Add patch to fix runtime changes to the palette:
  * qapplication-emit-palettechanged.patch
* Thu Aug 24 2017 mlin@suse.com
- Backport patch from dev to 5.9 what implements a new QSslSocket
  backend based on OpenSSL 1.1. (bsc#1042658)
  * 0001-QSslSocket-OpenSSL-1.1-backend.patch
* Wed Aug  9 2017 matz@suse.com
- Don't special case sse2 libs on i586 for SLE-15, it supports
  only SSE2 capable CPUs.
* Thu Aug  3 2017 mlin@suse.com
- Remove openSUSE specific %%ifs (bsc#1051900)
* Tue Jul 25 2017 fabian@ritter-vogt.de
- Add patch to not abort if no $DISPLAY is available (boo#1050046)
  * dont-abort-missing-display.patch
* Mon Jul 24 2017 fabian@ritter-vogt.de
- Add patch to fix include path for private headers of modules
  built in a shadow directory (QTBUG-37417)
  * force-cmake-private-headers.patch
* Wed Jul  5 2017 fabian@ritter-vogt.de
- Recommend libqt5-qttranslations in libQt5Core5 (boo#1027925)
* Sun Jul  2 2017 fabian@ritter-vogt.de
- Fix typo in description (boo#1043338)
* Sat Jul  1 2017 lbeltrame@kde.org
- Update to 5.9.1
  * For more details please see:
    http://blog.qt.io/blog/2017/06/30/qt-5-9-1-released/
- Drop upstreamed patches:
  - fix-cmake-module-version.patch
  - dont-destroy-foreign-windows.patch
  - native-children-hidpi-offset.patch
- Force use of libproxy, that switch got lost apparently
- Add patch to allow build with at-spi2: 0001-Fix-at-spi2-build.patch
* Thu Jun 22 2017 fabian@ritter-vogt.de
- Use the correct (edited) version of the revert to not break ABI:
  * de63bbd2f806b0219a60775017899cedb121581f.patch
* Tue Jun 20 2017 fabian@ritter-vogt.de
- Add upstream patch to fix version string of CMake modules (boo#1045102)
  * fix-cmake-module-version.patch
* Tue Jun  6 2017 alarrosa@suse.com
- Add 0001-Add-remote-print-queue-support.patch to support remote print
  queues. This adds a delay the first time the print dialog is opened in
  order to search for print queues. If you don't have any network printer
  queue and you find the delay too annoying, it can be disabled by setting
  the QT_DISABLE_PRINTER_DISCOVERY environment variable to 1 (fate#322052,
  bsc#955432).
- Add 0001-Fix-open-chmod-race-condition-in-QSaveFile.patch to fix
  a potential info leak due to race condition in QSaveFile (bsc#1034005).
* Fri Jun  2 2017 fabian@ritter-vogt.de
- Revert upstream commit to workaround QTBUG-61197:
  * de63bbd2f806b0219a60775017899cedb121581f.patch
* Fri Jun  2 2017 fabian@ritter-vogt.de
- Add upstream patch to fix QTBUG-61140:
  * dont-destroy-foreign-windows.patch
- Replaces c585802e946d97e7d177ea334a162dc7bc286b84.patch
* Fri Jun  2 2017 fabian@ritter-vogt.de
- Add upstream patch to fix various HiDPI-related issues:
  * native-children-hidpi-offset.patch (QTBUG-59017, kde#363548)
* Wed May 31 2017 fabian@ritter-vogt.de
- Revert upstream commit to workaround QTBUG-61140:
  c585802e946d97e7d177ea334a162dc7bc286b84.patch
* Wed May 31 2017 fabian@ritter-vogt.de
- Update to 5.9.0 final
* Wed May 24 2017 fabian@ritter-vogt.de
- Update to 5.9.0 RC:
  * For more details please see:
    http://lists.qt-project.org/pipermail/announce/2017-May/000115.html
    and https://wiki.qt.io/New_Features_in_Qt_5.9
- Remove patches, now upstream:
  * Stop-unloading-plugins-in-QPluginLoader-and-QFactoryLoader.patch
  * Fix-some-QtDBus-crashes-during-application-destruction.patch
  * Merge-the-QDBusMetaTypes-custom-information-to-QDBusConnectionManager.patch
- Refresh patches:
  * Fix-some-QtDBus-crashes-during-application-destruction.patch
  * Merge-the-QDBusMetaTypes-custom-information-to-QDBusConnectionManager.patch
  * libqt5-prioritise-gtk2-platformtheme.patch
  * tell-the-truth-about-private-api.patch
* Wed Dec 14 2016 hrvoje.senjan@gmail.com
- Update to 5.7.1
  * For more details please see:
    https://blog.qt.io/blog/2016/12/14/qt-5-7-1-released/
    and https://www.qt.io/qt5-7/
- Drop upstreamed patches:
  xcb-Dont-activate-bypassed-windows-on-mouse-press.patch,
  Fix-unwanted-cache-flush-in-Freetype-engine.patch,
  xcb-Send-also-text-plain-when-a-text-uri-list-is-dropped.patch,
  xcb-Dont-send-QtWindowNoState-event-when-hiding-minimized-window.patch,
  XCB-Drop-from-external-app-fix-keyboard-modifier-state.patch,
  xcb-Use-the-state-of-the-key-event-to-process-it.patch,
  Make-QDBusConnectionPrivaterelaySignal-be-called-in-the-right-thread.patch
  and use-freetype-default.patch
* Sun Oct  9 2016 sor.alexei@meowr.ru
- Add libqt5-prioritise-gtk2-platformtheme.patch: Give
  Gtk2 Platform Theme (from qtstyleplugins) a priority over
  Gtk3 Platform Theme which currently lacks QGtk3Style
  (boo#1002900).
* Sun Oct  9 2016 hrvoje.senjan@gmail.com
- Add some QtDBus fixes from upstream:
  Make-QDBusConnectionPrivaterelaySignal-be-called-in-the-right-thread.patch
  Merge-the-QDBusMetaTypes-custom-information-to-QDBusConnectionManager.patch
  Fix-some-QtDBus-crashes-during-application-destruction.patch
* Thu Sep 29 2016 hrvoje.senjan@gmail.com
- Move gtk platformtheme again out of the libQt5Gui5 package (now
  it's gtk-3 based)
* Tue Sep 27 2016 schwab@suse.de
- Fix filelist for %%gles configuration
* Tue Sep 27 2016 hrvoje.senjan@gmail.com
- Added Stop-unloading-plugins-in-QPluginLoader-and-QFactoryLoader.patch
  (boo#1001362, boo#965653)
* Sat Sep 24 2016 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * For more details please see:
    https://www.qt.io/qt5-7/
- Drop dead/absorbed patches:
  xcb-Fix-drop-of-text-uri-list-and-text-html.patch and
  xcb-Fix-dropping-URL-on-Firefox-window.patch
- Added Fix-unwanted-cache-flush-in-Freetype-engine.patch
  and xcb-Dont-activate-bypassed-windows-on-mouse-press.patch
- Don't pass axed options to configure
- Add double-conversion-devel, libproxy-devel and pkgconfig(gtk+-3.0)
  (instead of pkgconfig(gtk+-2.0)) BuildRequires
* Sat Sep 24 2016 hrvoje.senjan@gmail.com
- Another set of upstream patches for the XCB plugin:
  XCB-Drop-from-external-app-fix-keyboard-modifier-state.patch
  xcb-Dont-send-QtWindowNoState-event-when-hiding-minimized-window.patch
  xcb-Use-the-state-of-the-key-event-to-process-it.patch
* Sat Jul  2 2016 hrvoje.senjan@gmail.com
- Add drag-and-drop fixes from upstream:
  xcb-Fix-drop-of-text-uri-list-and-text-html.patch
  xcb-Fix-dropping-URL-on-Firefox-window.patch
  xcb-Send-also-text-plain-when-a-text-uri-list-is-dropped.patch
* Wed Jun  8 2016 hrvoje.senjan@gmail.com
- Update to 5.6.1
  * For more details please see:
    http://blog.qt.io/blog/2016/06/08/qt-5-6-1-released/
- Drop upstreamed patches:
  0005-xcb-Properly-initialize-available-geometry-when-XRan.patch
  Fix-QtDBus-deadlock-inside-kded-kiod.patch
  0007-xcb-Deliver-mouse-enter-event-to-window-when-closing.patch
  0009-Expose-the-number-of-X-screen-through-the-QXcbScreen.patch
  0001-xcb-XInput2-fixes-enter-leave-event-fixes.patch
  0002-xcb-Correct-enter-leave-event-handling-when-mouse-bu.patch
  0015-Use-the-state-of-the-key-event-to-process-it.patch
  0012-xcb-Merge-_NET_WM_STATE-hints-instead-of-overwriting.patch
  0004-xcb-Fix-drag-and-drop-between-xcb-screens.patch
  QtDBus-finish-all-pending-call-with-error-if-disconnected.patch
  0010-xcb-mark-mouse-events-from-tablet-devices-as-synthes.patch
  0011-xcb-Initialize-all-xcb_client_message_event_t-member.patch
  0008-xcb-resourceType-names-must-have-only-small-letters.patch
  0016-xcb-Fix-drag-and-drop-to-applications-like-Emacs-and.patch
  0013-xcb-Fix-interpretation-of-the-size-from-RRCrtcChange.patch
  0006-xcb-properly-initialize-size-in-millimeters-if-XRand.patch
  0003-xcb-Fix-not-delivering-focusIn-event-on-hide-show.patch
  QtDBus-clean-up-signal-hooks-and-object-tree-in-closeConnection.patch
  0014-xcb-Properly-process-enter-leave-events.patch
* Sat Apr 23 2016 hrvoje.senjan@gmail.com
- Add patches from upstream:
  0001-xcb-XInput2-fixes-enter-leave-event-fixes.patch
  0002-xcb-Correct-enter-leave-event-handling-when-mouse-bu.patch
  0003-xcb-Fix-not-delivering-focusIn-event-on-hide-show.patch
  0004-xcb-Fix-drag-and-drop-between-xcb-screens.patch
  0005-xcb-Properly-initialize-available-geometry-when-XRan.patch
  0006-xcb-properly-initialize-size-in-millimeters-if-XRand.patch
  0007-xcb-Deliver-mouse-enter-event-to-window-when-closing.patch
  0008-xcb-resourceType-names-must-have-only-small-letters.patch
  0009-Expose-the-number-of-X-screen-through-the-QXcbScreen.patch
  0010-xcb-mark-mouse-events-from-tablet-devices-as-synthes.patch
  0011-xcb-Initialize-all-xcb_client_message_event_t-member.patch
  0012-xcb-Merge-_NET_WM_STATE-hints-instead-of-overwriting.patch
  0013-xcb-Fix-interpretation-of-the-size-from-RRCrtcChange.patch
  0014-xcb-Properly-process-enter-leave-events.patch
  0015-Use-the-state-of-the-key-event-to-process-it.patch
  0016-xcb-Fix-drag-and-drop-to-applications-like-Emacs-and.patch
* Fri Mar 18 2016 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * For more details please see:
    http://blog.qt.io/blog/2016/03/16/qt-5-6-released/
    and https://wiki.qt.io/New_Features_in_Qt_5.6
- Added patches for various QtDBus issues:
  Fix-QtDBus-deadlock-inside-kded-kiod.patch,
  QtDBus-clean-up-signal-hooks-and-object-tree-in-closeConnection.patch
  and QtDBus-finish-all-pending-call-with-error-if-disconnected.patch
- Added tell-the-truth-about-private-api.patch: mark private and QPA API
  with symbols for only current patch release
- Drop obsolete and/or upstreamed patches:
  xcb-fix-yet-another-crash-when-screens-are-disconnected.patch,
  xcb-dont-crash-in-mapToNativemapFromNative-if-the-screen-is-null.patch,
  qtwidgets_do_not-hide_show_via_WA_OutsideWSRange_for_native_widgets.patch,
  protect-geometry-QTBUG-40584.patch,
  move-the-official-Qt-version-from-qglobal-to-qmake-conf.patch,
  QMimeDatabase-follow-symlinks-when-checking-for-FIFO.patch,
  Fix-QtCore-compilation-with-clang.patch,
  Add-option-to-disable-session-management-by-closing-windows.patch,
  Add-an-automatic-use-of-the-ELF-versioned-QtCore-symbol.patch,
  Add-a-qt_version_tag-symbol-to-QtCore-that-uses-ELF-versions.patch,
  Add-a-linker-version-script-to-Qt-libraries.patch,
  0005-Restore-documented-behavior-for-the-WA_X11NetWmWindo.patch,
  0001-Fix-exclusion-of-anonymous-ciphers.patch and
  0001-Fix-QWidget-setWindowRole.patch
* Wed Mar  9 2016 mlin@suse.com
- Merge libqt5-qtbase-platformtheme-gtk2 back into libQt5Gui5 (bsc#969935)
  * align with old libQt5Gui5 where libqgtk2.so has provided
* Sun Feb 21 2016 wbauer@tmo.at
- Added QMimeDatabase-follow-symlinks-when-checking-for-FIFO.patch
  to fix dolphin freeze when opening a folder containing symlinks
  to special files (boo#957006, qtbug#48529)
* Sat Feb 20 2016 hrvoje.senjan@gmail.com
- Update Add-option-to-disable-session-management-by-closing-windows.patch
  to version actually commited upstream
* Wed Feb 10 2016 alarrosa@suse.com
- Added 0001-Fix-exclusion-of-anonymous-ciphers.patch from upstream
  to disable exp-adh and aecdh ciphers.
- Added disable-rc4-ciphers-bnc865241.diff to disable RC4 based ciphers
  which are now considered insecure (bnc#865241)
* Sat Jan 30 2016 hrvoje.senjan@gmail.com
- Added Add-option-to-disable-session-management-by-closing-windows.patch
  API adition to QSessionManager as first step in resolving
  kde#354724 and boo#955280
* Wed Oct 28 2015 hrvoje.senjan@gmail.com
- Added qtwidgets_do_not-hide_show_via_WA_OutsideWSRange_for_native_widgets.patch
  (qtbug#48321)
* Fri Oct 16 2015 hrvoje.senjan@gmail.com
- Update to 5.5.1 (boo#954149)
  * For more details please see:
    http://blog.qt.io/blog/2015/10/15/qt-5-5-1-released/
- Drop patches merged upstream:
  0002-xcb-Fix-getting-the-window-types-from-the-property-o.patch
  0003-Fix-centering-dialogs.patch
  0004-xcb-Set-_NET_WM_WINDOW_TYPE-from-a-single-place.patch
  0006-xcb-set-SM_CLIENT_ID-property.patch
  Fix-compile-error-on-big-endian.patch
  Fix-shortcuts-with-keypad-keys.patch
  QDate_QTime-fix-SiC-introduced-by-adding-new-non-explicit-ctors.patch
  QMimeDatabase-use-QElapsedTimer.patch
  ignore-disabling-of-outputs-in-the-middle-of-the-mode-switch.patch
  when-a-screen-comes-back-online-the-windows-need-to-be-told-about-it.patch
- Added Fix-QtCore-compilation-with-clang.patch and
  move-the-official-Qt-version-from-qglobal-to-qmake-conf.patch in
  order to remove link-time warnings (warning: type and size of dynamic
  symbol `qt_version_tag@@Qt_5.5' are not defined)
* Mon Oct 12 2015 hrvoje.senjan@gmail.com
- Added xcb-dont-crash-in-mapToNativemapFromNative-if-the-screen-is-null.patch
  and xcb-fix-yet-another-crash-when-screens-are-disconnected.patch
  (kde#341497, qtbug#47385)
* Fri Oct  9 2015 hrvoje.senjan@gmail.com
- Added QDate_QTime-fix-SiC-introduced-by-adding-new-non-explicit-ctors.patch
* Wed Oct  7 2015 alarrosa@suse.com
- When in SLE12, use the internal Harfbuzz version instead of the system
  one (which is too old for Qt's requirements)
* Sun Sep 27 2015 schwab@suse.de
- Fix-compile-error-on-big-endian.patch: Fix compile error on big endian
* Tue Aug 18 2015 hrvoje.senjan@gmail.com
- Added patches from upstream:
  ignore-disabling-of-outputs-in-the-middle-of-the-mode-switch.patch
  (qtbug#44158, qtbug#46786, qtbug#46822)
  when-a-screen-comes-back-online-the-windows-need-to-be-told-about-it.patch
  (qtbug#47041)
* Sun Aug 16 2015 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * For more details please see:
    http://blog.qt.io/blog/2015/07/01/qt-5-5-released/
    and https://wiki.qt.io/New_Features_in_Qt_5.5
- Drop patches merged upstream:
  0001-Speed-up-compose-file-parsing-in-the-X11-composition.patch,
  0002-Speed-up-application-startup-on-X11.patch,
  Fix-regression-in-compose-table-parsing.patch,
  libqt5-libtool-nodate.diff and
  make-qdbusxml2cpp-output-reproducible.patch
- Add patches from upstream:
  Add-a-linker-version-script-to-Qt-libraries.patch,
  Add-a-qt_version_tag-symbol-to-QtCore-that-uses-ELF-versions.patch
  and Add-an-automatic-use-of-the-ELF-versioned-QtCore-symbol.patch
- Added tslib-devel and libinput-devel (Build)Requires
- Drop all openSUSE 13.1 conditionals, we won't build Qt >= 5.5 on
  that distro version anymore
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update QMimeDatabase-use-QElapsedTimer.patch to latest version
* Tue Jul 28 2015 hrvoje.senjan@gmail.com
- Added QMimeDatabase-use-QElapsedTimer.patch: reduces the number
  of syscalls greatly, by avoiding the timezone conversion every time;
  massively improves kbuildsycoca5 speed
* Sun Jul 26 2015 hrvoje.senjan@gmail.com
- Fix the suse_version condition checks - treat Leap equally as 13.2
  wrt which system libs shall be used
* Tue Jun  9 2015 hrvoje.senjan@gmail.com
- Add patches from upstream:
  0001-Fix-QWidget-setWindowRole.patch
  0002-xcb-Fix-getting-the-window-types-from-the-property-o.patch
  0003-Fix-centering-dialogs.patch
  0004-xcb-Set-_NET_WM_WINDOW_TYPE-from-a-single-place.patch
  0005-Restore-documented-behavior-for-the-WA_X11NetWmWindo.patch
  0006-xcb-set-SM_CLIENT_ID-property.patch
* Wed Jun  3 2015 hrvoje.senjan@gmail.com
- Update to 5.4.2
  * Important Behavior Changes:
  - EXIF orientation is no longer applied to JPEG images on read.
    EXIF orientation on JPEG was introduced in 5.4.0, but due to
    a bug the most common EXIF-format (big-endian) was not working
    until 5.4.1. 5.4.2 restores the behavior of 5.4.0 and earlier
    for most EXIF-tagged JPEGs.
    EXIF orientation will be an opt-in starting with Qt 5.5.
  - On x86 and x86-64 systems with ELF binaries (especially Linux),
    due to a new optimization in GCC 5.x in combination with a recent
    version of GNU binutils, compiling Qt applications with -fPIE
    is no longer enough with GCC 5.x. Applications now need to be
    compiled with the -fPIC option if Qt's option "reduce relocations"
    is active. For backward compatibility only, Qt accepts the use
    of -fPIE for GCC 4.x versions.
    Note that Clang is known to generate incompatible code even
    with -fPIC if the -flto option is active.
    Applications using qmake or cmake >= 2.8.12 as their build
    system will adapt automatically. Applications using an older
    release of cmake in combination with GCC 5.x need to change
    their CMakeLists.txt to add Qt5Core_EXECUTABLE_COMPILE_FLAGS
    to CMAKE_CXX_FLAGS. In particular, applications using
    cmake >= 2.8.9 and < 2.8.11 will continue to build   with the
  - fPIE option and invoke the special compatibility mode
    if using GCC 4.x.
  * Bugfix release, for more details please see:
    http://blog.qt.io/blog/2015/06/02/qt-5-4-2-released/
- Drop patches merged upstream:
  Call-ofono-nm-Registered-delayed-in-constructor-othe.patch
  Fix-Meta-shortcuts-on-XCB.patch
  Fix-upload-corruptions-when-server-closes-connection.patch
  Fixed-a-deadlock-when-the-lock-file-is-corrupted.patch
  Handle-SelectionWindowDestroy-in-QXcbClipboard.patch
  Make-qglobal.h-complain-if-you-use-fPIE.patch
  Make-sure-theres-a-scene-before-using-it.patch
  QSystemTrayIcon-handle-submenus-correctly.patch
  Require-fPIC-instead-of-just-fPIE-for-reduce-relocations.patch
  Try-to-ensure-that-fPIC-is-used-in-CMake-builds.patch
  Update-mouse-buttons-from-MotionNotify-events.patch
  fix-a-division-by-zero-when-processing-malformed-BMP-files.patch
- Added cmake (Build)Requires to get autoprovides for all Qt modules
* Mon May 18 2015 hrvoje.senjan@gmail.com
- Added patches from upstream:
  Try-to-ensure-that-fPIC-is-used-in-CMake-builds.patch,
  Require-fPIC-instead-of-just-fPIE-for-reduce-relocations.patch
  and Make-qglobal.h-complain-if-you-use-fPIE.patch
  (qtbug#45755)
* Sat May 16 2015 hrvoje.senjan@gmail.com
- Add Fix-shortcuts-with-keypad-keys.patch
  (qtbug#20191,qtbug#33093,kde#344638)
* Tue May  5 2015 hrvoje.senjan@gmail.com
- Added patches from upstream:
  Fix-upload-corruptions-when-server-closes-connection.patch and
  Fixed-a-deadlock-when-the-lock-file-is-corrupted.patch (qtbug#44771)
* Sat Apr 25 2015 hrvoje.senjan@gmail.com
- Fixup previous change to also handle arguments in specs using %%qmake5
- Also add QMAKE_LFLAGS to the macro
* Fri Apr 24 2015 joerg.lorenzen@ki.tng.de
- Added QMAKE_CXXFLAGS and QMAKE_CFLAGS to macro %%qmake5.
* Wed Apr 15 2015 hrvoje.senjan@gmail.com
- Added patches from upstream:
  0001-Speed-up-compose-file-parsing-in-the-X11-composition.patch
  0002-Speed-up-application-startup-on-X11.patch and
  Fix-regression-in-compose-table-parsing.patch
* Thu Apr  9 2015 hrvoje.senjan@gmail.com
- Add cleaning of QMAKE_PRL_BUILD_DIR from prl files in
  %%qmake5_install macro
* Fri Feb 27 2015 hrvoje.senjan@gmail.com
-  Added fix-a-division-by-zero-when-processing-malformed-BMP-files.patch,
  CVE-2015-0295
* Tue Feb 24 2015 hrvoje.senjan@gmail.com
- Update to 5.4.1:
  * Important Behavior Changes:
  * Restored binary compatibility with Qt 5.3.2 on Windows when
    using MSVC 2012 or MSVC 2013. This means that Qt 5.4.1 is no
    longer binary compatible with Qt 5.4.0 when using either of
    those compilers.
  * [QTBUG-42594] OS X binary package: fixed incorrect linking
    to libraries in /opt/local/lib
  * Library:
  * QtCore:
  * [QTBUG-43893] Fixed memory leak in qSetMessagePattern
  * [QTBUG-43513] QXmlStreamReader: Correctly parse XML
    containing NUL bytes in the input stream
  * [QTBUG-43352] QTemporaryDirectory: Properly clean up in
    case of a failure
  * [QTBUG-43827] Fixed regression in QSortFilterProxyModel
    which crashed when sorting a tree model
  * QtGui:
  * [QTBUG-44273] Fixed misplacement of outlined text with
    native text rendering
  * [QTBUG-44147] Fixed VNC not working on some VNC servers
  * [QTBUG-43850] Fixed crash with multi-threaded font usage
  * [QTBUG-43850] Made the old harfbuzz fallback available
    at runtime
  * Improvements to the experimental high-dpi support
  * [QTBUG-43318] Better resolving of GLES3 functions to
    avoid issues when deploying on systems with GLES 2.0 only
  * QtWidgets:
  * [QTBUG-43830] Fixed crash in stylesheets when
    styling QProgressBar
  * [QTBUG-43663] QColorDialog: Don't lose focus while
    color picking
  * QtNetwork:
  * [QTBUG-43793] Fixed disconnections of QSSLSocket after
    starting encryption
  * QtSql:
  * [QTBUG-36211] qpsql: Added timezone support for
    datetime fields.
  * qodbc: Fixed converted string values on Microsoft SQL
    Server 2012
  * [QTBUG-43874] QSqlQuery: Fixed failure of multiple
    execBatch() calls after  a single prepare() call
  * QtPrintSupport:
  * [QTBUG-43124] Fixed QPrinter::{width,height} return values
  * Platform Specific Changes:
  * Linux/XCB:
  * [QTBUG-43436] Fixed regression when drag and drop to
    other applications
  * [QTBUG-43809] Turned off font hinting when doing
    high DPI scaling
  * [QTBUG-43743] Fixed constantly resizing bigger window when
    devicePixelRatio is greater than 1
  * [QTBUG-43713] Fixed problems with multiple screens with
    different device pixel ratios regarding window mapping
    and font sizes.
  * [QTBUG-43688] Fixed physical DPI and size for
    rotated screens on X11
  * [QTBUG-43049] Fixed grabKeyboard and grabMouse
  * [QTBUG-36862] Now sends a leave event to the other window
    when a popup shows which grabs the input
  * [QTBUG-41590] Turned off subpixel gamma-correction on XCB
  * Added support for SelectionClientClose in QXcbClipboard
  * Fixed -nograb and -dograb arguments
  * [QTBUG-43623] Fixed use after free
  * [QTBUG-43436] Fixed regression in DnD. Make sure to preserve
    the QDrag until all data has been received.
  * Tools:
  * configure & build system:
  * configure will now reject invalid -no-feature-* options.
  * pkg-config assisted libudev detection was fixed.
  * [QTBUG-43302][Android] The Android style is included
    when cross-building on Windows as well.
  * [QTBUG-43205][Unix] Fixed build D-Bus headers cannot be found.
  * qmake:
  * [QTBUG-39690][Windows] Fixed file separators in 'make clean'.
  * [QTBUG-40264][Unix] Fixed 'make distclean' for a dynamic
    library target.
  * [QTBUG-42678] 'make distclean' now removes .qmake.{stash|super}.
  * [QTBUG-43026][VS2010+] Fixed compilation of .rc files.
  * [QTBUG-43457][MSVC] Fixed QMAKE_TARGET.arch for
    amd64_x86 x-build.
  * INCLUDEPATH+=. is now unnecessary with all generators.
  * For more details please see:
    http://blog.qt.io/blog/2015/02/24/qt-5-4-1-released/
- Drop merged or obsolete patches:
  qmake-add-usr-include.diff, QTBUG41590.patch,
  Handle-SelectionClientClose-in-QXcbClipboard.patch,
  qimage_conversions.cpp-Fix-build-on-big-endian-syste.patch,
  Fix-use-after-free-bug.patch, fix-drag-and-drop-regression.patch,
  Fix-detection-of-GCC5.patch, Fix-typo-in-Qt5CoreMacroscmake.patch,
  Fix-physical-DPI-and-size-for-rotated-screens-on-X11.patch,
  X11-devicePixelRatio-screen-mapping-fix.patch,
  Multi-screen-DPI-support-for-X11.patch and
  xcb-Dont-return-0-from-QXcbKeyboard-possibleKeys.patch
- Added Handle-SelectionWindowDestroy-in-QXcbClipboard.patch and
  Call-ofono-nm-Registered-delayed-in-constructor-othe.patch from
  upstrean
- Make sure each lib requires equal version of other qtbase libs
  it needs (added filtering for shlib-fixed-dependency to rpmlintrc
  accordingly)
* Wed Feb 18 2015 hrvoje.senjan@gmail.com
- Added patches from upstream:
  Fix-Meta-shortcuts-on-XCB.patch (qtbug#43572),
  Fix-detection-of-GCC5.patch,
  Fix-physical-DPI-and-size-for-rotated-screens-on-X11.patch
  (qtbug#43688), Fix-typo-in-Qt5CoreMacroscmake.patch,
  Make-sure-theres-a-scene-before-using-it.patch (qtbug#44509),
  Multi-screen-DPI-support-for-X11.patch (qtbug#43713),
  QSystemTrayIcon-handle-submenus-correctly.patch,
  Update-mouse-buttons-from-MotionNotify-events.patch
  (qtbug#32609, qtbug#35065, qtbug#43776, qtbug#44166, qtbug#44231),
  X11-devicePixelRatio-screen-mapping-fix.patch (qtbug#43713) and
  xcb-Dont-return-0-from-QXcbKeyboard-possibleKeys.patch
  (qtcreatorbug#9589)
* Tue Feb  3 2015 hrvoje.senjan@gmail.com
- Fixed qt_instdate generation, so the Qt5Core library doesn't have
  DATE embedded
- Drop fdupes usage as it provides unpredictable results, and fools
  build-compare
- Add libqt5-qtbase-rpmlintrc due to duplicates waste warnings: we
  rather have a few bytes more than to republish same binaries due
  to fdupes
- Added make-qdbusxml2cpp-output-reproducible.patch: don't include
  date/time in the generated include guards; prevents unnecessary
  rebuilds
- Added fix-drag-and-drop-regression.patch from upstream,
  fixes QTBUG-43436
* Mon Jan 12 2015 hrvoje.senjan@gmail.com
- Added Fix-use-after-free-bug.patch from upstream
  (qtbug#43623, boo#870151)
* Thu Dec 25 2014 schwab@suse.de
- qimage_conversions.cpp-Fix-build-on-big-endian-syste.patch: Fix build on
  big endian systems
* Tue Dec 16 2014 hrvoje.senjan@gmail.com
- Don't override the shlib generator, but split gtk platformtheme
  into platformtheme-gtk2 subpackage, the former approach is creating
  problems with other dependant packages
* Wed Dec 10 2014 hrvoje.senjan@gmail.com
- Update to 5.4 Final
  * For more details please see:
    http://blog.qt.digia.com/blog/2014/12/10/qt-5-4-released/
    and http://qt-project.org/wiki/New-Features-in-Qt-5.4
- Added Handle-SelectionClientClose-in-QXcbClipboard.patch, kde#329174
* Thu Nov 27 2014 hrvoje.senjan@gmail.com
- Update to 5.4 RC
  * For more details please see:
    http://blog.qt.digia.com/blog/2014/11/27/qt-5-4-release-candidate-available/
    and http://qt-project.org/wiki/New-Features-in-Qt-5.4
- New libQt5PlatformHeaders-devel subpackage
- Use one global define for gles on arm and aarch
- (Build)Require Mesa-libGLESv3-devel when building with gles
- Use system harfbuzz on 13.2 and newer
- Filter out requires obtained by dependency generators.
  gtk platformtheme now won't pull in gtk libraries, so users can
  have a gtk-free envirement if wanted. Those DE's that do need that
  platformplugin will already have gtk present
- Drop patches merged upstream:
  0001-Add-QFont-strategy-to-disable-subpixel-antialiasing.patch
  0001-Allow-panels-outside-of-availableGeometry.patch
  0001-QFileDialog-emit-urlsSelected-urlSelected-in-accept.patch
  0001-QKdeTheme-use-system-wide-kdeglobals-as-a-fallback.patch
  00010-Replace-the-const-QString-global-static-with-a-QStri.patch
  00011-Use-correct-signal-name-when-disconnecting.patch
  0002-Always-lock-the-DBus-dispatcher-before-dbus_connecti.patch
  0002-Move-SubpixelAntialiasingType-from-QFontEngineFT-to-.patch
  0002-QUrl-fromLocalFile-QString-should-lead-to-an-empty-U.patch
  0003-QDBusConnection-Merge-the-dispatch-and-the-watch-and.patch
  0003-QFileDialog-turn-workingDirectory-into-a-QUrl.patch
  0003-Support-autohint-and-lcdfilter-fontconfig-configurat.patch
  0004-GTK2-theme-should-use-GTK-configured-font-variant.patch
  0004-Partially-revert-Fix-a-deadlock-introduced-by-the-ra.patch
  0004-QFileDialog-implement-getOpenFileUrl-and-friends-for.patch
  f1ee10f81ac18789e9a7dc715b464415ba2bc2b8.patch
  libqt5-add-support-for-byte-swapping.patch
  libqt5-byte-order-byte-is-address0.patch
* Tue Nov 11 2014 hrvoje.senjan@gmail.com
- Update QTBUG41590.patch for commit that was pushed upstream
* Wed Nov  5 2014 hrvoje.senjan@gmail.com
- Added patches from upstream:
  0001-Allow-panels-outside-of-availableGeometry.patch (kde#339846)
  and 0002-Always-lock-the-DBus-dispatcher-before-dbus_connecti.patch,
  0003-QDBusConnection-Merge-the-dispatch-and-the-watch-and.patch,
  0004-Partially-revert-Fix-a-deadlock-introduced-by-the-ra.patch,
  for QTBUG#42189
* Wed Oct 29 2014 hrvoje.senjan@gmail.com
- Don't install CMake files for plugins, they are useful only for
  bundled Qt builds
- Downgrade sql-plugins from libQt5Sql-devel's requires to suggests
- Added QTBUG41590.patch, improve font rendering
  (QTBUG41590,QTBUG40971)
* Sun Oct 12 2014 hrvoje.senjan@gmail.com
- Added 0001-QFileDialog-emit-urlsSelected-urlSelected-in-accept.patch,
  0002-QUrl-fromLocalFile-QString-should-lead-to-an-empty-U.patch,
  0003-QFileDialog-turn-workingDirectory-into-a-QUrl.patch and
  0004-QFileDialog-implement-getOpenFileUrl-and-friends-for.patch
  from upstream to improve QFileDialog behaviour with both local
  and remote URL's
- Added 0001-QKdeTheme-use-system-wide-kdeglobals-as-a-fallback.patch:
  QTBUG-36184
- Added 0001-Add-QFont-strategy-to-disable-subpixel-antialiasing.patch,
  0002-Move-SubpixelAntialiasingType-from-QFontEngineFT-to-.patch,
  0003-Support-autohint-and-lcdfilter-fontconfig-configurat.patch
  and 0004-GTK2-theme-should-use-GTK-configured-font-variant.patch
  QTBUG-40396, QTBUG-32254, QTBUG-39643
* Wed Sep 24 2014 mlin@suse.com
- Add libqt5-do-not-use-shm-if-display-name-doesnt-look-local.patch
  from Michal Srb, bnc#888858
  * additional check the display name before use SHM, this patch is
    equivalent to what has been did in Qt4:
    https://qt.gitorious.org/qt/qt/source/6a7f06d70e1267d3d995a3c863ba8f748d45e531:src/gui/kernel/qapplication_x11.cpp#L1986
* Mon Sep 22 2014 hrvoje.senjan@gmail.com
- Build without sse2 instructions by default for %%ix86 architecture,
  and rebuild QtCore and QtuGui modules with sse2 (they are installed
  to %%_libdir/sse2 (bnc#897758)
* Tue Sep 16 2014 hrvoje.senjan@gmail.com
- Update to 5.3.2 final
  * No changes since previous snapshot
  * Use official tars
* Thu Sep  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.2~git20140904 (r05670f5):
  * Tip of the bugfix 5.3.2 branch:
  * Recreate child windows when changing screens
  * QCoreTextFontDatabase: Remove number type asserts.
  * QGLXContext survives screen removal
  * CoreWLan: terminate scan thread in QCoreWlanEngine destructor
  * Also print the class name in the QObject::killTimer error msg
  * Initialize textureId in platform backing store
  * Doc: corrected autolink errors corelib io
  * Avoid crash if querying device that has gone away
  * Doc: corrected autolink errors Qjsonvalue
  * Network: Fix NTLM (SSPI) with HTTP and HTTPS proxies
  * remove always ask option.
  * Fix handling QT_IM_MODULE=none
  * xcb: use keyboard event source window to determine
    auto-repeat valuen
  * Fix invalid memcpy(dst, src) calls where dst == src
  * Fix several regressions in font selection
  * Detect wrongly labelled wheel buttons
  * Make QWindowContainer handle drag'n'drop
  * Resize correctly on orientation change.
  * Use correct size in fullscreen mode
  * Properly null-terminate ifreq::irf_name
  * fingerpaint example: be sensitive to pressure only
    when supported
  * Fix a memory leak in QFseventsFileSystemWatcherEngine
  * Do not set QMAKE_{INC,LIB}DIR_{OPENGL,X11} in the
    freebsd mkspecs.
  * refactor disconnectFromFtp to remove cached entries
    when necessary
  * Remove reference to gdb_dwarf_index from the
    freebsd-clang mkspec.
  * Fix mistake in function extraTryFontsForFamily
  * Fix rendering of fonts matched based on stretch
  * Fix x86/32-bit build when using an old version of gcc
  * Fix selection of fonts based on styleName
  * QFusionStyle paints sliders outside of clip
  * Set iMX device specific compiler flags to QMAKE_CFLAGS
  * Fix QPainter::drawPolyline() painting errors with
    cosmetic pen
  * Let QImage::mirrored() retain dots-per-meter settings
  * Make sure we don't cache old file sizes prior to new writes
  * Correct the SYNC hint for the release barrier
  * Fix QT_NO_REGULAREXPRESSION build
  * Fix QT_NO_ANIMATION build
  * Fix build with QT_NO_MDIAREA
  * Show the correct cursor for QLineEdit's side buttons.
  * Fix disconnect()ing from signals declared in a base class
  * Fix rendering alpha-blended text which needs to be
    clipped at the top.
  * Fix build due to missing include when using a minimal config.
  * Fix build with QT_NO_DRAGANDDROP
  * Font Database: Add support for private, system UI
    font families
  * Apply upstream patch r1498 to our PCRE copy
  * Apply upstream patch r1495 to our PCRE copy
  * Initialize member.
  * Document missing QLatin1String methods
  * network tests: add manual test for auth / proxy auth
  * Uncomment some tests which accidently got commented
  * Both HiQualAA and normal AA should mean
    antialiasing in rasterengine.
  * Check if Start/EndPage returns non-positive value
    when error checking
  * GTK file dialog: pre-fill the filename if given to a
    Save dialog
  * QFileDialog docs: remove misleading sentence about
    static functions
  * Doc: Placed Qt OpenGL class convention in code block.
  * Undo: Fix state entry bug for parallel state groups
  * Do not add QOffscreenSurface windows to the global list
  * tst_QHash: check which of several equal keys is inserted
  * OpenGL: destroy QGLContext allocated by
    QGLContext::fromOpenGLContext
  * tst_QSet: check which of several equal elements is inserted
  * fix paths in installed qtmain.prl
  * add /ENTRY:main only for target builds
  * avoid that CROSS_COMPILE affects host builds
  * Add missing power button keycode to keymap
  * Android: export ANDROID_SDK_BUILD_TOOLS_REVISION.
  * cocoa: Fix compiler warnings about unused functions.
  * Propagate swapInterval to QGLFormat
  * Fix double clicks in eglfs
  * Work around ICC bug in local static symbols for
    Q_GLOBAL_STATIC
  * QCoreTextFontDatabase: Fix font weight value when
    populating a family
  * Don't convert signed to unsigned when we need all 32bit
  * Fix compilation if EC is disabled in OpenSSL
  * Fix warning message when re-setting text on tooltip
  * Improve dbus cross compilation
  * Fix buffer overrun error with some proxy servers
  * QNAM: Fix CPU load for limited upload QIODevice
  * qmake: Document the "aux" template type.
  * Use the stateless UTF-8 encoder in QStringRef::toUtf8
  * Doc: corrected autolink errors in qnamespace.qdoc
  * QPixmap::fromImage() should detach when changing
    QImage format
  * generate QGL header file from qgl.h
  * Ensure transient parents are top level widgets.
  * Added stream version into network cache file format
  * make QtWidgets claim style plugins
  * CMake: Don't check the existence of GL files in the
    Qt5Gui package.
  * QSplitter: Exclude top level widgets from child
    event handling.
  * Doc: Hide QTextInlineObject constructor from
    the documentation
  * Work around ICC bug in brace initializations
    containing constexpr
  * Doc: edited qtxml.qdocconf
  * xcb: QTabletEvents and proximity events correctly
    identify the tool
  * Fixed wrong function name in a file snippet
  * XCB: Enable loading of the Qt::DragLinkCursor
  * Fix fallbacks for adapted common script
  * Fix fallbacks for adapted common script
  * QSslCertificate: blacklist NIC certificates from India
  * Doc: moved saxbookmarks example files
  * tst_qdir: Move QFINDTESTDATA() from init() to constructor.
  * Doc: moved streambookmarks example files
  * Don't assert when HB-old is unable to deal with surrogates
  * REG: Fix nbsp in QTextLayout
  * Support getting test data from qrc
  * Document QApplication::cursorFlashTime() can return -1
  * Fix for code snippet in commandlineparser documentation
  * Doc: removed trolltech.com from namespace in manual
    qdocconf file.
  * Fix typo in QGraphicsView documentation.
  * Fix QTimer with negative interval in
    QWidgetLineControl::setCursorBlinkPeriod
  * Attempt to work with Visual Studio in -Za (strict ANSI) mode
  * Improve QListWidget documentation.
  * Fix debug output of QTouchEvent.
  * Doc: fix a link in QAbstractOpenGLFunctions documentation
  * Accessibility Linux: Fix crashes when accessing
    invalid functions
  * move loading of testability driver from QApplication
    to QGuiApplication
  * QPdf::addImage(): avoid a QImage detach when it's in an
    acceptable Format
  * Make QDom/QXmlSimpleReader reentrant.
  * Move QXmlReaderPrivate to private header.
  * Mac: Don't register for Pan Gestures.
  * Add opt-out environment variable for @2x images
  * Listen to touch events on the master device instead of slave.
  * add support for device linux-arm-hisilicon-hix5hd2-g++
  * Make tst_QLocale::macDefaultLocale() more robust
  * Fix some tst_qwidget test cases
  * xcb: make sure to update window title when it is changed
  * Skip unstable autotests in QtBase.
  * Empty icons and Cocoa menu items.
  * Address Book example: Fix QTableView column sorting
  * QOpenGLTexture: fix the feature test for Buffer Textures
  * qDebug: fix data race in qt_message_print
  * [bcm97425] Fix parameter issue in platformDestroy hook
  * Doc: Various \note fixes in Qt namespace documentation.
  * Fix QFileInfoGatherer threading issue
  * Doc: Fix typo in QScopedValueRollback
  * Fix pixel noise in X11 systray icons that are not 22x22
  * Don't compare the target methods for SlotObject connections
  * qtoolbar: add missing header on OSX.
  * Remove bogus nullptr check for reference
  * Support MIPS atomic on pre-MIPS32 architectures
  * Enable sparc detection.
  * Remove -Wcast-align from QMAKE_CXXFLAGS.
  * Create the 64 bits version strings for MIPS, SPARC and S390
  * Add a comment stating QMutex::isRecursive should be made
    const in Qt6
  * Fix QMutex documentation saying some function are static
    while they are not
  * Delete qml_plugin_import.cpp file only during distclean
  * WinRT: no read-only paths in QStandardpaths::writableLocation
  * Fix compilation on Windows without precompiled headers
  * QColorDialog: Do not update custom/standard color cells
    while picking.
  * Fix -Werror compilation on big-endian
  * CMake: Allow modules to specify the location of tests.
  * Mark behavior of QFileInfo::absoluteFilePath as undefined in
    corner cases
  * Translate Super/Hyper keys to MetaModifier
  * Fix logging file location docs
  * CMake: Report an error if unit tests are not found for
    a module.
  * Fix QRingBuffer::readPointerAtPosition()
  * Make the fetchAndAddRelaxed function a member template
  * Doc: qInstallMessageHandler cannot return 0.
  * GIF decoding: do not seek() if the image is loaded
    over the network
  * network internals: do not try to cache a deleted entry
  * Fix memory leaks in QFseventsFileSystemWatcherEngine
  * Simplify mirroring code and add tests for non-aliged
    1 bit images
  * Add that the corner settings are saved/restored
    with the state
  * Correct grammar of missing Q_OBJECT macro warning.
  * Doc: Fix docs for QFontMetrics::height() to match code
  * Fix installation of private headers generated
    by wayland-scanner
  * add buildsystem/qmake changelog
  * CMake: Load plugin files unconditionally if present.
  * QIcon: Prefer high-quality images of Windows .ico files.
  * tst_qicon: Resolve all files using QFINDTESTDATA().
  * Move most of the QLibraryPrivate initialization to
    its constructor
  * QComboBox: update focus policy when setting a new line edit
  * QDBus: fix data race on isDebugging bool
  * When filling the path it should use the painter's pen
    not the state's
  * Fix data race on QLoggingCategory when using qDebug
    from multiple threads
  * Remove the use of QT_STATIC_CONST in QtSql
  * Fix compilation with /Zc:strictStrings
  * Correct QImage::fill(uint) on RGBA8888 formats
  * XCB: Fix leak with touch devices
  * pass a pointer instead of a reference to initFrom()
  * Properly check which OpenGL features are supported
  * Do not overwrite existing event mask of root window
  * Remove the widget from the stylesheet cache before polishing
  * QDnsLookup: Fix build with uClibc
  * Remove unused define XCB_USE_IBUS.
  * Attempt to fix intel compiler build error.
  * Use QModelIndex to get the data from underlying model
  * QGuiApplication: Document -plugin command line argument.
  * Fix compilation in under -no-c++11 mode
  * Fix compilation with the Intel compiler on certain systems
- Drop patches merged upstream:
  0001-Do-not-overwrite-existing-event-mask-of-root-window.patch,
  0002-Properly-check-which-OpenGL-features-are-supported.patch,
  0003-Fix-data-race-on-QLoggingCategory-when-using-qDebug-.patch,
  0004-QDBus-fix-data-race-on-isDebugging-bool.patch,
  0005-Translate-Super-Hyper-keys-to-MetaModifier.patch,
  libqt5-avoid-crash-during-querying-device.patch,
  libqt5-fix-leak-with-touch-devices-in-xcb.patch and
  libqt5-listen-to-touch-events-on-the-master-device.patch
- Added protect-geometry-QTBUG-40584.patch, to workaround QTBUG-40584,
  so widget geometry is preserved
- Reorder patches
* Fri Aug 29 2014 mlin@suse.com
- Added upstream patches for bnc#890168
  * libqt5-fix-leak-with-touch-devices-in-xcb.patch, QTBUG-39596
  * * fixed a leak what did not free m_touchDevices.
  * libqt5-listen-to-touch-events-on-the-master-device.patch, QTBUG-38625
  * * listen to touch events on the master device instead of slave, was also
    affects by fdo#78345
  * libqt5-avoid-crash-during-querying-device.patch, QTBUG-40820
  * * avoid crashes if querying device that has gone away
* Thu Jul  3 2014 hrvoje.senjan@gmail.com
- Added 00010-Replace-the-const-QString-global-static-with-a-QStri.patch,
  fixes segfaulting in global destructor, for more details see:
  http://mail.kde.org/pipermail/kde-frameworks-devel/2014-June/017086.html
- Added 00011-Use-correct-signal-name-when-disconnecting.patch,
  fixes crash on QtDBus unload
* Wed Jun 25 2014 hrvoje.senjan@gmail.com
- Update to 5.3.1
  * Bugfix release, for more details please see:
    http://blog.qt.digia.com/blog/2014/06/25/qt-5-3-1-released/
- Drop libqt5-fix-the-modal-dialogs-can-go-behind.patch, merged upstream
- Added patches from upstream:
  0001-Do-not-overwrite-existing-event-mask-of-root-window.patch -- QTBUG-39648
  0002-Properly-check-which-OpenGL-features-are-supported.patch -- QTBUG-39730
  0003-Fix-data-race-on-QLoggingCategory-when-using-qDebug-.patch -- Fix data race on QLoggingCategory
  0004-QDBus-fix-data-race-on-isDebugging-bool.patch -- fix data race on isDebugging bool
  0005-Translate-Super-Hyper-keys-to-MetaModifier.patch -- QTBUG-38428
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Improve baselibs
- Improve situation with rpmlints duplicates warnings
- Make private headers noarch
* Tue May 27 2014 hrvoje.senjan@gmail.com
- Build with pkgconfig(libudev), not pkgconfig(udev)
* Fri May 23 2014 mlin@suse.com
- Fix the modal dialogs can go behind other process windows (QTBUG-35302)
  * libqt5-fix-the-modal-dialogs-can-go-behind.patch
* Thu May 22 2014 tiwai@suse.de
- Fix broken Gujarati rendering (bnc#878292):
  libqt5-Fix-Gujarati-font.patch
* Wed May 21 2014 hrvoje.senjan@gmail.com
- Only enable reducing relocations on x86 and x86_64 arches; fixes
  build for arm, ppc, etc (QTBUG-36129)
* Mon May 19 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 final
  * Minor bugfixes over previous RC
* Sat May 17 2014 hrvoje.senjan@gmail.com
- Disable logging to journald for now, as it creates significant
  performance penalty
- Don't pass /usr/include to qmake, not needed
* Thu May  8 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 RC
  * For more details, please see
  http://blog.qt.digia.com/blog/2014/05/08/qt-5-3-release-candidate-available/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.3
- Drop libqt5-add-better-support-for-keymap-update-handling.patch,
  libqt5-fix-build-failure-xcb.patch,
  libqt5-fix-regression-in-key-handling.patch,
  libqt5-improve-keymap-error-handling.patch and
  libqt5-update-bundled-libxkbcommon-version-to-041.patch; merged upstream
* Tue Apr  8 2014 mlin@suse.com
- Add support for byte swapping, bnc#866709
  * Add libqt5-add-support-for-byte-swapping.patch
  * Add libqt5-byte-order-byte-is-address0.patch
- Fix keyboard remapping not applied on Qt5, bnc#866051
  * Add backported libqt5-add-better-support-for-keymap-update-handling.patch
  * Add backported libqt5-improve-keymap-error-handling.patch
  * Add backported libqt5-fix-build-failure-xcb.patch
  * Add backported libqt5-update-bundled-libxkbcommon-version-to-041.patch
  * Add backported libqt5-fix-regression-in-key-handling.patch
* Fri Mar 28 2014 hrvoje.senjan@gmail.com
- The no-neon switch no longer exists with 5.3, so drop it: fixes
  build on arm/aarch64
* Tue Mar 25 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 beta
  * New feature release, please see
  http://blog.qt.digia.com/blog/2014/03/25/qt-5-3-beta-released/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.3
- Drop qtbase-qatomic-ppc.patch, merged upstream
- Added f1ee10f81ac18789e9a7dc715b464415ba2bc2b8.patch: prefer QPA
  implementation in qsystemtrayicon_x11 if available
- Added pkgconfig(libsystemd-journal) BuildRequires and activate
  journald support
- Added pkgconfig(xkbcommon-x11) BuildRequires with 13.2+: it's now
  needed for full xkb support, for lower version added xkeyboard-config
  BuildRequires
- Ommit QMAKE_STRIP flags in mkspecs/common/linux.conf, otherwise no
  debuginfo is generated for packages which use qmake buildsystem
- Droped passing of -javascript-jit, as per upstream changes
- Rebase libqt5-libtool-nodate.diff for this release
* Thu Mar 20 2014 hrvoje.senjan@gmail.com
- Added use-freetype-default.patch: allow using lcd-default filter
  regardless of how freetype2 library has been built (w/ & w/o subpixel)
- Build examples (added examples subpackage)
- Make sure that Qt5Gui devel package requires libdrm-devel, as it
  references it's includes in CMake config
* Sat Mar  1 2014 hrvoje.senjan@gmail.com
- Fix wrong libQt5OpenGLExtensions-devel-static requires:
  pkgconfig(GL) -> pkgconfig(gl)
* Thu Feb 27 2014 schwab@suse.de
- Enable jit only on supported archs
* Mon Feb 10 2014 mlin@suse.com
- Update LICENSE files to %%doc
* Wed Feb  5 2014 hrvoje.senjan@gmail.com
- Update to 5.2.1:
  * For more details please see:
    http://blog.qt.digia.com/blog/2014/02/05/qt-5-2-1-released/
- Split out (private) devel packages for each library. Also added
  common-devel package, which contains mkspecs, and basic binaries
  (e.g. moc, qmake, rcc, syncqt and uic)
- Only create qt5 symlinks for binaries which conflict with
  Qt4 version
- Remove libtool archives from packages
- Apply conditionals for %%arm also for aarch64
- Removed unneeded or upstreamed patches:
  * 0001-Remove-the-GLES-2-dependency-for-eglfs-and-kms.patch
  * 0002-Fix-configure-script-to-not-dictate-OpenGL-ES-2-when.patch
  * 0003-EGL-convenience-deal-with-DefaultRenderableType-when.patch
  * 0004-Do-not-disable-egl-on-desktop-gl-automatically.patch
  * qt-never-strip.diff
  * qtbase-opensource-src-5.1.1-bigendian.patch
- modified patches:
  * qmake-add-usr-include.diff
* Fri Jan  3 2014 hrvoje.senjan@gmail.com
- Explicitly (Build)Require pkgconfig(harfbuzz) for 13.1+
- Explicitly activate system-harfbuzz, system-freetype and
  fontconfig options
- Drop clucene-core-devel and giflib-devel Build(Requires): unused
- Drop pkgconfig(atspi-2) (Build)Requires: external libatspi2 is not
  used during build time (see qtbase commit 4c1c820)
* Thu Dec 12 2013 uweigand@de.ibm.com
- Do not force -javascript-jit on ppc platforms that do not support it.
* Thu Dec 12 2013 hrvoje.senjan@gmail.com
- Update to 5.2.0 final:
  * For more details please see:
    http://blog.qt.digia.com/blog/2013/12/12/qt-5-2-released-the-best-qt-yet/
    http://qt-project.org/qt5/qt52
    http://qt.digia.com/Product/Whats-New/Qt-52/
* Wed Dec  4 2013 hrvoje.senjan@gmail.com
- Import patches from upstream which make possible to build EGL
  support without requiring GLES2:
  0001-Remove-the-GLES-2-dependency-for-eglfs-and-kms.patch
  0002-Fix-configure-script-to-not-dictate-OpenGL-ES-2-when.patch
  0003-EGL-convenience-deal-with-DefaultRenderableType-when.patch
  0004-Do-not-disable-egl-on-desktop-gl-automatically.patch
- Enable EGL support by adding (Build)Requiring pkgconfig(egl)
* Fri Nov 29 2013 hrvoje.senjan@gmail.com
- Update to 5.2 rc1
  * New feature release, please see
  http://blog.qt.digia.com/blog/2013/11/29/qt-5-2-release-candidate-1-available/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.2
- Droped xcb_193.patch, included in this release
- Drop gstreamer-0_10-plugins-base-devel BuildRequires, nothing in
  qtbase uses gstreamer, and config tests where false positive before
- Temporary disable qt-never-strip.diff, we can use configure flags
  for no-strip
* Wed Nov 27 2013 hrvoje.senjan@gmail.com
- Added xcb_193.patch from upstream, for resolving SiC and BiC change
  in xcb 1.9.2/3 (fdo#71502,fdo#71507,qtbug#34748)
* Wed Nov  6 2013 hrvoje.senjan@gmail.com
- Fix translations macro
* Thu Oct 24 2013 hrvoje.senjan@gmail.com
- gstreamer-0_10-plugins-base-devel are not required for devel
  subpackage, so remove the Requires
* Wed Oct 23 2013 hrvoje.senjan@gmail.com
- Update to 5.2 beta1
  * New feature release, please see
  http://blog.qt.digia.com/blog/2013/10/23/qt-5-2-beta-available/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.2
- Change obsoletes of new library and sql plugins packages
* Fri Oct 18 2013 hrvoje.senjan@gmail.com
- Added qtbase-opensource-src-5.1.1-bigendian.patch, also needed
  for building on PowerPC, otherwise fromWordToBytes is
  left undeclared
* Fri Oct 18 2013 hrvoje.senjan@gmail.com
- Added qtbase-qatomic-ppc.patch, fixes PowerPC build
* Wed Oct 16 2013 hrvoje.senjan@gmail.com
- Further split libqt5-qtbase package to libQt5Concurrent5,
  libQt5Core5, libQt5DBus5, libQt5Network5, libQt5Xml5,
  libQt5PrintSupport5 and libQt5OpenGL5
- Rename sql plugin subpackages for more consistent naming with the
  rest of libraries
- Apply the same solution as with Qt4 with regards to rebuilds:
  don't use current build date, but rather last changes date
* Fri Oct  4 2013 hrvoje.senjan@gmail.com
- Add convenient macros for packages building against Qt5:
  %%_libqt5_qmake, %%qmake5, %%make_jobs and %%qmake5_install
* Thu Sep 12 2013 hrvoje.senjan@gmail.com
- Added missing pkgconfig(xkbcommon) BuildRequires
- Drop checks for older openSUSE versions
- Enable GL ES and kms only on arm for now
* Thu Sep  5 2013 duwe@suse.com
- enable support for opengl es2 and kms
* Thu Aug 29 2013 hrvoje.senjan@gmail.com
- Update to version 5.1.1:
  * Bugfix release, please see
  http://blog.qt.digia.com/blog/2013/08/28/qt-5-1-1-released/
  http://qt.gitorious.org/qt/qtbase/blobs/release/dist/changes-5.1.1
  and http://qt-project.org/wiki/Qt511KnownIssues for known issues
- Small spec cleanup
- Explicitly activate desktop openGL, and only BuildRequire
  pkgconfig(gl) so whole Mesa stack isn't pulled
* Sat Aug  3 2013 tittiatcoke@gmail.com
- Adjust packaging naming conform Factory standards
* Sun Jul  7 2013 hrvoje.senjan@gmail.com
- Allow co-existance of Qt5 and Qt4:
  * Install headers in %%_includedir/qt5
  * Install binaries in %%_libdir/qt5/bin, create symlinks with -qt5
    suffixes in %%_libdir/qt5/bin and %%_bindir
- Spec cleanup:
  * Removed checks for obsolete opensuse versions
- Add new macros.qt5, which should be utilized for other Qt5 modules
- Added baselibs.conf
* Sun Jul  7 2013 stephan.binner@basyskom.com
- update to Qt 5.1 release
* Tue Jun 18 2013 stephan.binner@basyskom.com
- update to Qt 5.1 RC 1
* Mon May 20 2013 stephan.binner@basyskom.com
- update to Qt 5.1 Beta 1
* Tue Apr  9 2013 stephan.binner@basyskom.com
- update to Qt 5.1 Alpha 1
* Fri Mar 29 2013 stephan.binner@basyskom.com
- update to Qt 5.0.2 RC1
* Wed Jan 30 2013 stephan.binner@basyskom.com
- update to Qt 5.0.1
* Wed Dec 19 2012 stephan.binner@basyskom.com
- update to Qt 5.0 release
* Thu Dec 13 2012 stephan.binner@basyskom.com
- update to Qt 5.0 Release Candidate 2
* Thu Dec  6 2012 stephan.binner@basyskom.com
- update to Qt 5.0 Release Candidate 1
* Thu Nov 15 2012 stephan.binner@basyskom.com
- update to Qt 5.0 Beta 2
* Thu Aug 30 2012 stephan.binner@basyskom.com
- update to Qt 5.0 Beta 1 release
* Thu May 24 2012 stephan.binner@basyskom.com
- update to newer Alpha snapshot / Beta candidate
* Fri Apr 13 2012 stephan.binner@basyskom.com
- rework package splitting for Qt 5 modularization
* Thu Apr  5 2012 dmueller@suse.com
- Initial packaging (Qt 5.0 Alpha)
